//----------------------------------------------------------------------
/*EASTRISING TECHNOLOGY CO,.LTD.*/
// Module    : ER-EP029-2B  2.9"  296*128 dots
// Create    : JAVEN
// Date      : 2017-06-18
// Drive IC  : ssd1680
// INTERFACE : 4line Serial 
// MCU 		 : STC12LE5A60S2
// VDD		 : 3.3V  
//----------------------------------------------------------------------

#include <reg52.h>
#include <intrins.h>
sbit 	BUSY=P3^0;
sbit 	RES=P3^1;
sbit 	DC=P3^3;
sbit 	CS1=P3^4;
sbit 	SCK=P3^5;
sbit 	SDA=P3^6;

sbit	int0=P3^2;

bit log=0;

#define uchar  unsigned char
#define uint  unsigned int


//xx Private macro xxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxx

#define SDA_H     	(SDA=1)						
#define SDA_L     	(SDA=0)
#define SCLK_H    	(SCK=1)  					
#define SCLK_L   	(SCK=0) 
#define nCS_H     	(CS1=1)						
#define nCS_L     	(CS1=0)
#define nDC_H     	(DC=1)						
#define nDC_L     	(DC=0)
#define nRST_H     	(RES=1)						
#define nRST_L     	(RES=0)


#define DELAY_TIME	2									// DELAY TIME

#define MODE1  											// panel scan direction



#define PIC_BLACK		252
#define PIC_WHITE		255
#define PIC_A			1
#define PIC_B   	    2
#define PIC_C   	    3
#define PIC_HLINE		4
#define PIC_VLINE	    5
#define PIC_GRAY			6
#define PIC_D   	    7
#define PIC_E		    8
#define PIC_F	        9


unsigned char temp1,temp2;
unsigned char tempvalue;


	const unsigned char code  pic_black[4736] = {

/*--  
/*-- 296x128  --*/
0xFF,0xFF,0xFF,0xFF,0xFF,0xFF,0xFF,0xFF,0xFF,0xFF,0xFF,0xFF,0xFF,0xFF,0xFF,0xFF,
0xFF,0xFF,0xFF,0xFF,0xFF,0xFF,0xFF,0xFF,0xFF,0xFF,0xFF,0xFF,0xFF,0xFF,0xFF,0xFF,
0xFF,0xFF,0xFF,0xFF,0xFF,0xFF,0xFF,0xFF,0xFF,0xFF,0xFF,0xFF,0xFF,0xFF,0xFF,0xFF,
0xFF,0xFF,0xFF,0xFF,0xFF,0xFF,0xFF,0xFF,0xFF,0xFF,0xFF,0xFF,0xFF,0xFF,0xFF,0xFF,
0xFF,0xFF,0xFF,0xFF,0xFF,0xFF,0xFF,0xFF,0xFF,0xFF,0xFF,0xFF,0xFF,0xFF,0xFF,0xFF,
0xFF,0xFF,0xFF,0xFF,0xFF,0xFF,0xFF,0xFF,0xFF,0xFF,0xFF,0xFF,0xFF,0xFF,0xFF,0xFF,
0xFF,0xFF,0xFF,0xFF,0xFF,0xFF,0xFF,0xFF,0xFF,0xFF,0xFF,0xFF,0xFF,0xFF,0xFF,0xFF,
0xFF,0xFF,0xFF,0xFF,0xFF,0xFF,0xFF,0xFF,0xFF,0xFF,0xFF,0xFF,0xFF,0xFF,0xFF,0xFF,
0xFF,0xFF,0xFF,0xFF,0xFF,0xFF,0xFF,0xF8,0x00,0x00,0x7F,0xFF,0xFF,0xFF,0xFF,0xFF,
0xFF,0xFF,0xFF,0xFF,0xFF,0xFF,0xFF,0x13,0x9F,0xFF,0x83,0xFF,0xFF,0xFF,0xFF,0xFF,
0xFF,0xFF,0xFF,0xFF,0xFF,0xFF,0xF9,0xEF,0x9F,0xFF,0x80,0x00,0xFF,0xFF,0xFF,0xFF,
0xFF,0xFF,0xFF,0xFF,0xFF,0xFF,0xF7,0xEF,0x3F,0xFF,0x03,0xFE,0x0F,0xFF,0xFF,0xFF,
0xFF,0xFF,0xFF,0xFF,0xFF,0xFF,0xCF,0xCF,0x7F,0xFE,0x07,0xFF,0xF3,0xFF,0xFF,0xFF,
0xFF,0xFF,0xFF,0xFF,0xFF,0xFF,0x9F,0xDE,0xFF,0xFC,0x0F,0xFF,0xC1,0xFF,0xFF,0xFF,
0xFF,0xFF,0xFF,0xFF,0xFF,0xFF,0x3F,0xDE,0xFF,0xFC,0x0E,0x7E,0x3D,0xFF,0xFF,0xFF,
0xFF,0xFF,0xFF,0xFF,0xFF,0xFF,0x7F,0x9D,0xFF,0xF8,0x0D,0xF1,0xFE,0xFF,0xFF,0xFF,
0xFF,0xFF,0xFF,0xFF,0xFF,0xFE,0xFF,0xBD,0xFF,0xF8,0x13,0xE7,0xFE,0xFF,0xFF,0xFF,
0xFF,0xFF,0xFF,0xFF,0xFF,0xFE,0xFF,0xBB,0xFF,0xF0,0x3B,0x9C,0x0E,0xFF,0xFF,0xFF,
0xFF,0xFF,0xFF,0xFF,0xFF,0xFD,0xFF,0xBB,0xFF,0xF0,0x7D,0x30,0xEE,0xFF,0xFF,0xFF,
0xFF,0xFF,0xFF,0xFF,0xFF,0xFD,0xFF,0xBB,0xFF,0xE0,0x7C,0xE3,0xE6,0xFF,0xFF,0xFF,
0xFF,0xFF,0xFF,0xFF,0xFF,0xFD,0xFF,0xB7,0xFF,0xE0,0x79,0xCF,0xE6,0xFF,0xFF,0xFF,
0xFF,0x80,0x1F,0xFF,0xFF,0xFD,0xFF,0x77,0xFF,0xC0,0xFB,0x9F,0xE5,0xFF,0xFF,0xFF,
0xFF,0x80,0x1F,0xFF,0xFF,0xFB,0xFF,0x77,0xFF,0xC0,0xF3,0x3F,0xED,0xFF,0xFF,0xFF,
0xFF,0xDD,0xFF,0xFF,0xFF,0xFB,0xFF,0x77,0xFF,0x81,0xF7,0x7F,0xED,0xFF,0xFF,0xFF,
0xFF,0xBE,0xFF,0xFF,0xFF,0xFB,0xFF,0x6F,0xFF,0x81,0xE6,0x7F,0xED,0xFF,0xFF,0xFF,
0xFF,0x80,0xFF,0xFF,0xFF,0xFB,0xFF,0x6F,0xFF,0x03,0xEE,0xFF,0xCD,0xFF,0xFF,0xFF,
0xFF,0xC1,0xFF,0xFF,0xFF,0xFB,0xFE,0x6F,0xFF,0x03,0xEE,0xFF,0xCB,0xFF,0xFF,0xFF,
0xFF,0xFF,0xFF,0xFF,0xFF,0xFB,0xFE,0xEF,0xFF,0x03,0xEC,0xFF,0xDB,0xFF,0xFF,0xFF,
0xFF,0xFF,0xFF,0xFF,0xFF,0xFB,0xFE,0xEF,0xFE,0x03,0xED,0xFF,0xDB,0xFF,0xFF,0xFF,
0xFF,0xC0,0xFF,0xFF,0xFF,0xFB,0xFE,0xEF,0xFE,0x07,0xED,0xFF,0xD3,0xFF,0xFF,0xFF,
0xFF,0x80,0xFF,0xFF,0xFF,0xFB,0xFE,0xDF,0xFC,0x07,0xED,0xFF,0x97,0xFF,0xFF,0xFF,
0xFF,0xBF,0xFF,0xFF,0xFF,0xFB,0xFE,0xDF,0xFC,0x07,0xED,0xFF,0xB7,0xFF,0xFF,0xFF,
0xFF,0xDF,0xFF,0xFF,0xFF,0xFB,0xFE,0xDF,0xF8,0x07,0xED,0xFF,0xB7,0xFF,0xFF,0xFF,
0xFF,0x80,0xFF,0xFF,0xFF,0xFB,0xFE,0xDF,0xF8,0x0F,0xED,0xFF,0xA7,0xFF,0xFF,0xFF,
0xFF,0x80,0xFF,0xFF,0xFF,0xFB,0xFC,0xDF,0xF8,0x0F,0xF5,0xFF,0xAF,0xFF,0xFF,0xFF,
0xFF,0xFF,0xFF,0xFF,0xFF,0xFB,0xFC,0xDF,0xF0,0x0F,0xF5,0xFB,0x2F,0xFF,0xFF,0xFF,
0xFD,0xFC,0xFF,0xFF,0xFF,0xF7,0xFD,0xDF,0xF0,0x0F,0xF6,0xFB,0x6F,0xFF,0xFF,0xFF,
0xFD,0xE0,0xFF,0xFF,0xFF,0xF7,0xFD,0xDF,0xF0,0x1F,0xFA,0xFB,0x5F,0xFF,0xFF,0xFF,
0xFC,0x03,0xFF,0xFF,0xFF,0xF7,0xFD,0xDF,0xE0,0x1F,0xFB,0x7B,0x1F,0xFF,0xFF,0xFF,
0xFC,0x1F,0xFF,0xFF,0xFF,0xF7,0xFD,0xDF,0xE0,0x1F,0xFD,0x7B,0x1F,0xFF,0xFF,0xFF,
0xFF,0x03,0xFF,0xFF,0xFF,0xF7,0xFD,0xDF,0xC0,0x1F,0xFC,0xBB,0x3F,0xFF,0xFF,0xFF,
0xFF,0xE0,0xFF,0xFF,0xFF,0xF7,0xFD,0x9F,0xC0,0x3F,0xFE,0x9B,0x3F,0xFF,0xFF,0xFF,
0xFF,0xFC,0xFF,0xFF,0xFF,0xF7,0xFD,0xBF,0xC0,0x3F,0xFF,0x5B,0x3F,0xFF,0xFF,0xFF,
0xFF,0xFF,0xFF,0xFF,0xFF,0xF7,0xFD,0xBF,0x80,0x3F,0xFF,0x8B,0x3F,0xFF,0xFF,0xFF,
0xFF,0xC1,0xFF,0xFF,0xFF,0xF7,0xFD,0xBF,0x80,0x3F,0xFF,0x88,0xBF,0xFF,0xFF,0xFF,
0xFF,0x80,0xFF,0xFF,0xFF,0xF7,0xFD,0xBF,0x80,0x7F,0xFF,0xC0,0x3F,0xFF,0xFF,0xFF,
0xFF,0xBE,0xFF,0xFF,0xFF,0xF7,0xFD,0xBF,0x80,0x7F,0xFF,0xE0,0xBF,0xFF,0xFF,0xFF,
0xFF,0xDD,0xFF,0xFF,0xFF,0xF7,0xFD,0xBF,0x00,0x7F,0xFF,0xF0,0xBF,0xE3,0xFF,0xFF,
0xFF,0x80,0x1F,0xFF,0xFF,0xF7,0xF9,0xBF,0x00,0x7F,0xFF,0xF8,0xBF,0x9D,0xFF,0xFF,
0xFF,0x80,0x1F,0xFF,0xFF,0xF7,0xFB,0x7F,0x00,0xFF,0xFF,0xF9,0xBE,0x6E,0xFF,0xFF,
0xFF,0xFF,0xFF,0xFF,0xFF,0xF7,0xFB,0x7E,0x00,0xFF,0xFF,0xFB,0xF8,0x03,0x7F,0xFF,
0xFF,0xFF,0xFF,0xFF,0xFF,0xF7,0xFB,0x7E,0x00,0xFF,0xFF,0xF8,0xD0,0x61,0xBF,0xFF,
0xFF,0x80,0x9F,0xFF,0xFF,0xF7,0xFB,0x7E,0x00,0xFF,0xFF,0xF3,0x09,0x38,0xBF,0xFF,
0xFF,0x80,0x9F,0xFF,0xFF,0xF7,0xFB,0x7C,0x01,0xFF,0xFF,0xF6,0x83,0xFC,0x5F,0xFF,
0xFF,0xFF,0xFF,0xFF,0xFF,0xF7,0xFB,0x7C,0x01,0xFF,0xFF,0xE5,0x07,0xFF,0x5F,0xFF,
0xFF,0xD9,0xFF,0xFF,0xFF,0xF7,0xF7,0x7C,0x01,0xFF,0xFF,0xC3,0x8F,0xFE,0xAF,0xFF,
0xFF,0x90,0xFF,0xFF,0xFF,0xF7,0xF6,0xF8,0x01,0xFF,0xFF,0xD7,0xC7,0xFE,0x2F,0xFF,
0xFF,0xB2,0xFF,0xFF,0xFF,0xE7,0xF5,0xF8,0x03,0xFF,0xFF,0x9F,0xE7,0xFF,0x37,0xFF,
0xFF,0xA6,0xFF,0xFF,0xFF,0xEF,0xF5,0xF8,0x03,0xFF,0xFF,0x8F,0xE7,0xFF,0x9B,0xFF,
0xFF,0x84,0xFF,0xFF,0xFF,0xEF,0xF5,0xF0,0x03,0xFF,0xFF,0x1F,0xE7,0xFF,0xDB,0xFF,
0xFF,0xCD,0xFF,0xFF,0xFF,0xEF,0xF5,0xF0,0x03,0xFF,0xFF,0x5F,0xC7,0xFF,0x9B,0xFF,
0xFF,0xFF,0xFF,0xFF,0xFF,0xEF,0xF5,0xF0,0x03,0xFF,0xFE,0x7D,0xD7,0xFE,0xCB,0xFF,
0xFC,0x00,0xFF,0xFF,0xFF,0xEF,0xED,0xF0,0x03,0xFF,0xFE,0xB8,0x87,0xF8,0x4D,0xFF,
0xFC,0x00,0xFF,0xFF,0xFF,0xEF,0xED,0xE0,0x03,0xFF,0xFE,0xFD,0xAF,0xE7,0xA5,0xFF,
0xFF,0xDD,0xFF,0xFF,0xFF,0xEF,0xEF,0xE0,0x03,0xFF,0xFC,0x7F,0xAF,0xCF,0xA6,0xFF,
0xFF,0xBE,0xFF,0xFF,0xFF,0xEF,0xEB,0xE0,0x03,0xFF,0xFD,0xFF,0x5F,0x9F,0xD2,0xFF,
0xFF,0x80,0xFF,0xFF,0xFF,0xEF,0xEB,0xE0,0x01,0xFF,0xFA,0xFF,0x5E,0x7F,0xD2,0xFF,
0xFF,0xC1,0xFF,0xFF,0xFF,0xCF,0xEB,0xE0,0x01,0xFF,0xF9,0xFE,0xBC,0xFF,0xE9,0x7F,
0xFF,0xFF,0xFF,0xFF,0xFF,0xDF,0xDB,0xC0,0x00,0xFF,0xF1,0xFE,0xB3,0xFF,0xE5,0x3F,
0xFF,0xFF,0xFF,0xFF,0xFF,0xDF,0xD7,0xC0,0x00,0x7F,0xF7,0xDD,0x67,0xFF,0xF0,0xBF,
0xFF,0x80,0x1F,0xFF,0xFF,0xDF,0xD7,0xC0,0x00,0x3C,0x23,0x89,0x4F,0xFF,0xF2,0xCF,
0xFF,0x80,0x1F,0xFF,0xFF,0xDF,0xD7,0xC0,0x00,0x00,0x67,0xDA,0xE7,0xFF,0xFB,0x73,
0xFF,0xFF,0xFF,0xFF,0xFF,0xDF,0xD7,0xE0,0x00,0x00,0x4F,0xFA,0xF7,0xFF,0xFD,0x3B,
0xFF,0xFF,0xFF,0xFF,0xFF,0xDF,0x97,0xE0,0x00,0x00,0x8F,0xF5,0xFB,0xFF,0xFD,0xBB,
0xFF,0xCD,0xFF,0xFF,0xFF,0xDF,0xB7,0xE0,0x00,0x01,0x8F,0xED,0xFD,0xFF,0xFE,0x87,
0xFF,0x86,0xFF,0xFF,0xFF,0xBF,0xB7,0xF0,0x00,0x02,0x1F,0xEB,0xFC,0xFF,0xFE,0xEF,
0xFF,0xB2,0xFF,0xFF,0xFF,0xBF,0xA7,0xF0,0x00,0x07,0xCF,0xD3,0xFE,0xFF,0xFF,0x5F,
0xFF,0xBA,0xFF,0xFF,0xFF,0xBF,0xA7,0xF8,0x00,0x0F,0xF3,0xD7,0xFF,0x7F,0xFE,0x3F,
0xFF,0x80,0xFF,0xFF,0xFF,0xBF,0xAF,0xFC,0x00,0x1F,0xFC,0xAF,0xFF,0x7F,0xF8,0x7F,
0xFF,0x81,0xFF,0xFF,0xFF,0xBF,0x2F,0xFE,0x00,0x3F,0xFE,0x6F,0xFF,0xBF,0xE1,0xFF,
0xFF,0xFF,0xFF,0xFF,0xFF,0xBF,0x6F,0xFF,0x81,0xC7,0xFF,0x1F,0xFF,0xBF,0x83,0xFF,
0xFD,0xFC,0xFF,0xFF,0xFF,0x7F,0x6F,0xFF,0xFF,0xD9,0xFF,0x9F,0xFF,0x9E,0x0F,0xFF,
0xFD,0xE0,0xFF,0xFF,0xFF,0x7F,0x6F,0xFF,0xFF,0xEE,0x7F,0xDF,0xFF,0xD0,0x3F,0xFF,
0xFC,0x03,0xFF,0xFF,0xFF,0x7F,0x6F,0xFF,0xFF,0xF0,0xBF,0xEF,0xFF,0xC0,0xFF,0xFF,
0xFC,0x1F,0xFF,0xFF,0xFF,0x7F,0x6F,0xFF,0xFF,0xE0,0x0F,0xF3,0xFF,0xC3,0xFF,0xFF,
0xFF,0x03,0xFF,0xFF,0xFF,0x7F,0x6F,0xFF,0xFF,0xE1,0x83,0xF9,0xFE,0x1F,0xFF,0xFF,
0xFF,0xE0,0xFF,0xFF,0xFF,0x7F,0x6F,0xFF,0xFF,0xD5,0xCD,0xFC,0x01,0xFF,0xFF,0xFF,
0xFF,0xFC,0xFF,0xFF,0xFE,0xFF,0x6F,0xFF,0xFF,0xC3,0xF1,0x7C,0x8F,0xFF,0xFF,0xFF,
0xFF,0xFF,0xFF,0xFF,0xFE,0xFF,0x5F,0xFF,0xFF,0x8B,0xF9,0x9D,0xDF,0xFF,0xFF,0xFF,
0xFF,0x9F,0xFF,0xFF,0xFE,0xFF,0x5F,0xFF,0xFF,0xCF,0x04,0x0B,0xDF,0xFF,0xFF,0xFF,
0xFF,0x9F,0xFF,0xFF,0xFE,0xFF,0x5F,0xFF,0xFF,0x5E,0x65,0x03,0xDF,0xFF,0xFF,0xFF,
0xFF,0xFF,0xFF,0xFF,0xFE,0xFF,0x5F,0xFF,0xFF,0x47,0x70,0xFB,0xDF,0xFF,0xFF,0xFF,
0xFF,0xFF,0xFF,0xFF,0xFE,0xFF,0x5F,0xFF,0xFE,0xAF,0x07,0xF0,0x1F,0xFF,0xFF,0xFF,
0xFF,0xC1,0xFF,0xFF,0xFE,0xFF,0x5F,0xFF,0xFF,0xBF,0x1F,0xC7,0xDF,0xFF,0xFF,0xFF,
0xFF,0x80,0xFF,0xFF,0xFE,0xFF,0x5F,0xFF,0xFF,0x1C,0xFF,0x1F,0x8F,0xFF,0xFF,0xFF,
0xFF,0xBE,0xFF,0xFF,0xFE,0xFF,0x5F,0xFF,0xFD,0x03,0xF8,0x00,0x97,0xFF,0xFF,0xFF,
0xFF,0xBE,0xFF,0xFF,0xFE,0xFF,0x5F,0xFF,0xFC,0x1F,0xF3,0xCA,0x17,0xFF,0xFF,0xFF,
0xFF,0x9C,0xFF,0xFF,0xFE,0xFF,0x5F,0xFF,0xF0,0xFF,0xC9,0xCF,0x23,0xFF,0xFF,0xFF,
0xFF,0xDD,0xFF,0xFF,0xFE,0xFF,0x5F,0xFF,0xE7,0xFF,0x1D,0xEF,0x87,0xFF,0xFF,0xFF,
0xFF,0xFF,0xFF,0xFF,0xFE,0xFF,0x5F,0xFF,0xCF,0xFE,0x3C,0xE7,0xC7,0xFF,0xFF,0xFF,
0xFF,0xC1,0xFF,0xFF,0xFE,0xFF,0x5F,0xFF,0xCF,0xF9,0x9D,0x77,0xEF,0xFF,0xFF,0xFF,
0xFF,0x80,0xFF,0xFF,0xFE,0xFF,0x6F,0xFF,0xE7,0x07,0xD9,0x27,0xEF,0xFF,0xFF,0xFF,
0xFF,0xBE,0xFF,0xFF,0xFE,0xFF,0x6F,0xFF,0xE0,0x37,0xE3,0x83,0xF7,0xFF,0xFF,0xFF,
0xFF,0xBE,0xFF,0xFF,0xFE,0xFF,0x6F,0xFF,0xE1,0xFB,0xF3,0x9B,0xF7,0xFF,0xFF,0xFF,
0xFF,0x80,0xFF,0xFF,0xFE,0xFF,0x6F,0xFF,0xD1,0xFD,0xF8,0x71,0xF7,0xFF,0xFF,0xFF,
0xFF,0xC1,0xFF,0xFF,0xFE,0xFF,0x6F,0xFF,0xC3,0xF8,0xFC,0xCD,0xF7,0xFF,0xFF,0xFF,
0xFF,0xFF,0xFF,0xFF,0xFE,0xFF,0x6F,0xFF,0x83,0xF7,0x7E,0x9D,0xE7,0xFF,0xFF,0xFF,
0xFF,0xFF,0xFF,0xFF,0xFE,0xFF,0x6F,0xFC,0xCF,0xF7,0x9E,0x3C,0xEF,0xFF,0xFF,0xFF,
0xFF,0x80,0xFF,0xFF,0xFF,0x7F,0x66,0xB4,0x0E,0x37,0xCE,0x7C,0xCF,0xFF,0xFF,0xFF,
0xFF,0x80,0xFF,0xFF,0xFF,0x7F,0x66,0xB0,0xD1,0xC7,0xC6,0x3C,0xDF,0xFF,0xFF,0xFF,
0xFF,0xFD,0xFF,0xFF,0xFF,0x7F,0x60,0x0F,0xC5,0xE1,0xD1,0xC9,0xBF,0xFF,0xFF,0xFF,
0xFF,0xFE,0xFF,0xFF,0xFF,0x7F,0x77,0xFF,0xDD,0xF0,0x91,0xF3,0x7F,0xFF,0xFF,0xFF,
0xFF,0x80,0xFF,0xFF,0xFF,0x7F,0x77,0xFF,0xAD,0xF8,0x2B,0xFE,0xFF,0xFF,0xFF,0xFF,
0xFF,0x80,0xFF,0xFF,0xFF,0x7F,0x77,0xFF,0x8D,0xFC,0x6D,0xF9,0xFF,0xFF,0xFF,0xFF,
0xFF,0xFD,0xFF,0xFF,0xFF,0x7F,0x77,0xFF,0xBE,0xFE,0x5E,0xF3,0xFF,0xFF,0xFF,0xFF,
0xFF,0xFE,0xFF,0xFF,0xFF,0x7F,0x77,0xFF,0x1E,0x7E,0x5F,0x0F,0xFF,0xFF,0xFF,0xFF,
0xFF,0x80,0xFF,0xFF,0xFF,0x7F,0x77,0xFF,0x1D,0xBF,0x3F,0xFF,0xFF,0xFF,0xFF,0xFF,
0xFF,0x81,0xFF,0xFF,0xFF,0xBF,0x73,0xFC,0x13,0xDF,0xDF,0xFF,0xFF,0xFF,0xFF,0xFF,
0xFF,0xFF,0xFF,0xFF,0xFF,0xBF,0x79,0xA4,0x0F,0xE7,0xDF,0xFF,0xFF,0xFF,0xFF,0xFF,
0xFF,0xFF,0xFF,0xFF,0xFF,0xBF,0x38,0x00,0x7F,0xF3,0xDF,0xFF,0xFF,0xFF,0xFF,0xFF,
0xFF,0xFF,0xFF,0xFF,0xFF,0xBF,0x38,0x0F,0xFF,0xF9,0xDF,0xFF,0xFF,0xFF,0xFF,0xFF,
0xFF,0xFF,0xFF,0xFF,0xFF,0xBF,0xB9,0xFF,0xFF,0xF8,0xBF,0xFF,0xFF,0xFF,0xFF,0xFF,
0xFF,0xFF,0xFF,0xFF,0xFF,0xBF,0xBD,0xFF,0xFF,0xF8,0x3F,0xFF,0xFF,0xFF,0xFF,0xFF,
0xFF,0xFF,0xFF,0xFF,0xFF,0xDF,0xBD,0xFF,0xFF,0xF8,0xFF,0xFF,0xFF,0xFF,0xFF,0xFF,
0xFF,0xFF,0xFF,0xFF,0xFF,0xDF,0x9D,0xFF,0xFF,0xF8,0xFF,0xFF,0xFF,0xFF,0xFF,0xFF,
0xFF,0xFF,0xFF,0xFF,0xFF,0xDF,0x9D,0xFF,0xFF,0xF8,0xFF,0xFF,0xFF,0xFF,0xFF,0xFF,
0xFF,0xFF,0xFF,0xFF,0xFF,0xDF,0xDC,0xFF,0xFF,0xF9,0xFF,0xFF,0xFF,0xFF,0xFF,0xFF,
0xFF,0xFF,0xFF,0xFF,0xFF,0xEF,0xDE,0xFF,0xFF,0xF9,0xFF,0xFF,0xFF,0xFF,0xFF,0xFF,
0xFF,0xFF,0xFF,0xFF,0xFF,0xEF,0xDE,0xFF,0xFF,0xF9,0xFF,0xFF,0xFF,0xFF,0xFF,0xFF,
0xFF,0xFF,0xFF,0xFF,0xFF,0xEF,0xCE,0x7F,0xFF,0xFB,0xFF,0xFF,0xFF,0xFF,0xFF,0xFF,
0xFF,0xFF,0xFF,0xFF,0xFF,0xF7,0xEF,0x7F,0xFF,0xFB,0xFF,0xFF,0xFF,0xFF,0xFF,0xFF,
0xFF,0xFF,0xFF,0xFF,0xFF,0xF7,0xEF,0x7F,0xFF,0xFB,0xFF,0xFF,0xFF,0xFF,0xFF,0xFF,
0xFF,0xFF,0xFF,0xFF,0xFF,0xF7,0xEF,0x7F,0xFF,0xFF,0xFF,0xFF,0xFF,0xFF,0xFF,0xFF,
0xFF,0xFF,0xFF,0xFF,0xFF,0xFB,0xF7,0xFF,0xFF,0xF7,0xFF,0xFF,0xFF,0xFF,0xFF,0xFF,
0xFF,0xFF,0xFF,0xFF,0xFF,0xFB,0xF7,0xBF,0xFF,0xF7,0xFF,0xFF,0xFF,0xFF,0xFF,0xFF,
0xFF,0xFF,0xFF,0xFF,0xFF,0xFB,0xF7,0xBF,0xFF,0xFF,0xFF,0xFF,0xFF,0xFF,0xFF,0xFF,
0xFF,0xFF,0xFF,0xFF,0xFF,0xFD,0xFB,0xDF,0xFF,0xEF,0xFF,0xFF,0xFF,0xFF,0xFF,0xFF,
0xFF,0xFF,0xFF,0xFF,0xFF,0xFD,0xFB,0xDF,0xFF,0xEF,0xFF,0xFF,0xFF,0xFF,0xFF,0xFF,
0xFF,0xFF,0xFF,0xFF,0xFF,0xFE,0xFD,0xEF,0xFF,0xDF,0xFF,0xFF,0xFF,0xFF,0xFF,0xFF,
0xFF,0xFF,0xFF,0xFF,0xFF,0xFE,0xFD,0xEF,0xFF,0xDF,0xFF,0xFF,0xFF,0xFF,0xFF,0xFF,
0xFF,0xF0,0x00,0x00,0x1F,0xFF,0x7E,0xEF,0xFF,0xDF,0xFF,0xFF,0xFF,0xFF,0xFF,0xFF,
0xFF,0xF0,0x00,0x00,0x1F,0xFF,0x7E,0xF7,0xFF,0xBF,0xFF,0xFF,0xFF,0xFF,0xFF,0xFF,
0xFF,0xFF,0xFF,0xFF,0xFF,0xFF,0xBF,0x77,0xFF,0xBF,0xFF,0xFF,0xFF,0xFF,0xFF,0xFF,
0xFF,0xF0,0x00,0x00,0x1F,0xFF,0xBF,0x3B,0xFF,0x7F,0xFF,0xFF,0xFF,0xFF,0xFF,0xFF,
0xFF,0xFF,0xFF,0xFF,0xFF,0xFF,0xDF,0xB9,0xFE,0xFF,0xFF,0xFF,0xFF,0xFF,0xFF,0xFF,
0xFF,0xFF,0xFF,0xFF,0xFF,0xFF,0xEF,0xDD,0xFE,0xFF,0xFF,0xFF,0xFF,0xFF,0xFF,0xFF,
0xFF,0xFF,0xFF,0xFF,0xFF,0xFF,0xEF,0xEE,0xFD,0xFF,0xFF,0xFF,0xFF,0xFF,0xFF,0xFF,
0xFF,0xF0,0x00,0x00,0x1F,0xFF,0xF7,0xF7,0x7B,0xFF,0xFF,0xFF,0xFF,0xFF,0xFF,0xFF,
0xFF,0xFF,0xFF,0xFF,0xFF,0xFF,0xFB,0xF9,0x83,0xFF,0xFF,0xFF,0xFF,0xFF,0xFF,0xFF,
0xFF,0xF0,0x00,0x00,0x1F,0xFF,0xFD,0xFE,0x07,0xFF,0xFF,0xFF,0xFF,0xFF,0xFF,0xFF,
0xFF,0xFF,0xFF,0xFF,0xFF,0xFF,0xFE,0xFF,0x1F,0xFF,0xFF,0xFF,0xFF,0xFF,0xFF,0xFF,
0xFF,0xFF,0xFF,0xFF,0xFF,0xFF,0xFF,0x00,0x7F,0xFF,0xFF,0xFF,0xFF,0xFF,0xFF,0xFF,
0xFF,0xF0,0x00,0x00,0x1F,0xFF,0xFF,0x83,0xFF,0xFF,0xFF,0xFF,0xFF,0xFF,0xFF,0xFF,
0xFF,0xF0,0x00,0x00,0x1F,0xFF,0xFF,0xFF,0xFF,0xFF,0xFF,0xFF,0xFF,0xFF,0xFF,0xFF,
0xFF,0xFF,0xFF,0xFF,0xFF,0xFF,0xFF,0xFF,0xFF,0xFF,0xFF,0xFF,0xFF,0xFF,0xFF,0xFF,
0xFF,0xFF,0xFF,0xFF,0xFF,0xFF,0xFF,0xFF,0xFF,0xFF,0xFF,0xFF,0xFF,0xFF,0xFF,0xFF,
0xFF,0xF0,0x00,0x00,0x1F,0xFF,0xFF,0xFF,0xFF,0xFF,0xFF,0xFF,0xFF,0xFF,0xFF,0xFF,
0xFF,0xFF,0xFF,0xFF,0xFF,0xFF,0xFF,0xFF,0xFF,0xFF,0xFF,0xFF,0xFF,0xFF,0xFF,0xFF,
0xFF,0xF0,0x00,0x00,0x1F,0xFF,0xFF,0xFF,0xFF,0xFF,0xFF,0xFF,0xFF,0xFF,0xFF,0xFF,
0xFF,0xF0,0x00,0x00,0x1F,0xFF,0xFF,0xFF,0xFF,0xFF,0xFF,0xFF,0xFF,0xFF,0xFF,0xFF,
0xFF,0xFF,0xFF,0xFF,0xFF,0xFF,0xFF,0xFF,0xFF,0xFF,0xFF,0xFF,0xFF,0xFF,0xFF,0xFF,
0xFF,0xF0,0x00,0x00,0x1F,0xFF,0xFF,0xFF,0xFF,0xFF,0xFF,0xFF,0xFF,0xFF,0xFF,0xFF,
0xFF,0xF0,0x00,0x00,0x1F,0xFF,0xFF,0xFF,0xFF,0xFF,0xFF,0xFF,0xFF,0xFF,0xFF,0xFF,
0xFF,0xF0,0x00,0x00,0x1F,0xFF,0xFF,0xFF,0xFF,0xFF,0xFF,0xFF,0xFF,0xFF,0xFF,0xFF,
0xFF,0xFF,0xFF,0xFF,0xFF,0xFF,0xFF,0xFF,0xFF,0xFF,0xFF,0xFF,0xFF,0xFF,0xFF,0xFF,
0xFC,0xF0,0x00,0x00,0x1F,0xFF,0xFF,0xFF,0xFF,0xFF,0xFF,0xFF,0xFF,0xFF,0xFF,0xFF,
0xFE,0x7F,0xFF,0xFF,0xFF,0xFF,0xFF,0xFF,0xFF,0xFF,0xFF,0xFF,0xFF,0xFF,0xFF,0xFF,
0xC0,0x30,0x00,0x00,0x1F,0xFF,0xFF,0xFF,0xFF,0xFF,0xFF,0xFF,0xFF,0xFF,0xFF,0xFF,
0xC0,0x30,0x00,0x00,0x1F,0xFF,0xFF,0xFF,0xFF,0xFF,0xFF,0xFF,0xFF,0xFF,0xFF,0xFF,
0xFF,0xFF,0xFF,0xFF,0xFF,0xFF,0xFF,0xFF,0xFF,0xFF,0xFF,0xFF,0xFF,0xFF,0xFF,0xFF,
0xFF,0xF0,0x00,0x00,0x1F,0xFF,0xFF,0xFF,0xFF,0xFF,0xFF,0xFF,0xFF,0xFF,0xFF,0xFF,
0xCF,0x7F,0xFF,0xFF,0xFF,0xFF,0xFF,0xFF,0xFF,0xFF,0xFF,0xFF,0xFF,0xFF,0xFF,0xFF,
0xC7,0x30,0x00,0x00,0x1F,0xFF,0xFF,0xFF,0xFF,0xFF,0xFF,0xFF,0xFF,0xFF,0xFF,0xFF,
0xD3,0xB0,0x00,0x00,0x1F,0xFF,0xFF,0xFF,0xFF,0xFF,0xFF,0xFF,0xFF,0xFF,0xFF,0xFF,
0xD8,0x3F,0xFF,0xFF,0xFF,0xFF,0xFF,0xFF,0xFF,0xFF,0xFF,0xFF,0xFF,0xFF,0xFF,0xFF,
0xDC,0x7F,0xFF,0xFF,0xFF,0xFF,0xFF,0xFF,0xFF,0xFF,0xFF,0xFF,0xFF,0xFF,0xFF,0xFF,
0xFF,0xF0,0x00,0x00,0x1F,0xFF,0xFF,0xFF,0xFF,0xFF,0xFF,0xFF,0xFF,0xFF,0xFF,0xFF,
0xEF,0x70,0x00,0x00,0x1F,0xFF,0xFF,0xFF,0xFF,0xFF,0xFF,0xFF,0xFF,0xFF,0xFF,0xFF,
0xCF,0x3F,0xFF,0xFF,0xFF,0xFF,0xFF,0xFF,0xFF,0xFF,0xFF,0xFF,0xFF,0xFF,0xFF,0xFF,
0xDD,0xB0,0x00,0x00,0x1F,0xFF,0xFF,0xFF,0xFF,0xFF,0xFF,0xFF,0xFF,0xFF,0xFF,0xFF,
0xC0,0x3F,0xFF,0xFF,0xFF,0xFF,0xFF,0xFF,0xFF,0xFF,0xFF,0xFF,0xFF,0xFF,0xFF,0xFF,
0xE2,0x7F,0xFF,0xFF,0xFF,0xFF,0xFF,0xFF,0xFF,0xFF,0xFF,0xFF,0xFF,0xFF,0xFF,0xFF,
0xFF,0xF0,0x00,0x00,0x1F,0xFF,0xFF,0xFF,0xFF,0xFF,0xFF,0xFF,0xFF,0xFF,0xFF,0xFF,
0xF3,0xF0,0x00,0x00,0x1F,0xFF,0xFF,0xFF,0xFF,0xFF,0xFF,0xFF,0xFF,0xFF,0xFF,0xFF,
0xF4,0xFF,0xFF,0xFF,0xFF,0xFF,0xFF,0xFF,0xFF,0xFF,0xFF,0xFF,0xFF,0xFF,0xFF,0xFF,
0xF7,0x70,0x00,0x00,0x1F,0xFF,0xFF,0xFF,0xFF,0xFF,0xFF,0xFF,0xFF,0xFF,0xFF,0xFF,
0xC0,0x30,0x00,0x00,0x1F,0xFF,0xFF,0xFF,0xFF,0xFF,0xFF,0xFF,0xFF,0xFF,0xFF,0xFF,
0xC0,0x30,0x00,0x00,0x1F,0xFF,0xFF,0xFF,0xFF,0xFF,0xFF,0xFF,0xFF,0xFF,0xFF,0xFF,
0xF7,0xF0,0x00,0x00,0x1F,0xFF,0xFF,0xFF,0xFF,0xFF,0xFF,0xFF,0xFF,0xFF,0xFF,0xFF,
0xE8,0xF0,0x00,0x00,0x1F,0xFF,0xFF,0xFF,0xFF,0xFF,0xFF,0xFF,0xFF,0xFF,0xFF,0xFF,
0xCC,0x3F,0xFF,0xFF,0xFF,0xFF,0xFF,0xFF,0xFF,0xFF,0xFF,0xFF,0xFF,0xFF,0xFF,0xFF,
0xDD,0x30,0x00,0x00,0x1F,0xFF,0xFF,0xFF,0xFF,0xFF,0xFF,0xFF,0xFF,0xFF,0xFF,0xFF,
0xC1,0xBF,0xFF,0xFF,0xFF,0xFF,0xFF,0xFF,0xFF,0xFF,0xFF,0xFF,0xFF,0xFF,0xFF,0xFF,
0xE3,0xBF,0xFF,0xFF,0xFF,0xFF,0xFF,0xFF,0xFF,0xFF,0xFF,0xFF,0xFF,0xFF,0xFF,0xFF,
0xFF,0xF0,0x00,0x00,0x1F,0xFF,0xFF,0xFF,0xFF,0xFF,0xFF,0xFF,0xFF,0xFF,0xFF,0xFF,
0xE0,0x7F,0xFF,0xFF,0xFF,0xFF,0xFF,0xFF,0xFF,0xFF,0xFF,0xFF,0xFF,0xFF,0xFF,0xFF,
0xC0,0x3F,0xFF,0xFF,0xFF,0xFF,0xFF,0xFF,0xFF,0xFF,0xFF,0xFF,0xFF,0xFF,0xFF,0xFF,
0xDD,0xB0,0x00,0x00,0x1F,0xFF,0xFF,0xFF,0xFF,0xFF,0xFF,0xFF,0xFF,0xFF,0xFF,0xFF,
0xC1,0x30,0x00,0x00,0x1F,0xFF,0xFF,0xFF,0xFF,0xFF,0xFF,0xFF,0xFF,0xFF,0xFF,0xFF,
0xE3,0x70,0x00,0x00,0x1F,0xFF,0xFF,0xFF,0xFF,0xFF,0xFF,0xFF,0xFF,0xFF,0xFF,0xFF,
0xFF,0xF0,0x00,0x00,0x1F,0xFF,0xFF,0xFF,0xFF,0xFF,0xFF,0xFF,0xFF,0xFF,0xFF,0xFF,
0xFF,0xBF,0xFF,0xFF,0xFF,0xFF,0xFF,0xFF,0xFF,0xFF,0xFF,0xFF,0xFF,0xFF,0xFF,0xFF,
0xC3,0xBF,0xFF,0xFF,0xFF,0xFF,0xFF,0xFF,0xFF,0xFF,0xFF,0xFF,0xFF,0xFF,0xFF,0xFF,
0xC0,0xB0,0x00,0x00,0x1F,0xFF,0xFF,0xFF,0xFF,0xFF,0xFF,0xFF,0xFF,0xFF,0xFF,0xFF,
0xFC,0x30,0x00,0x00,0x1F,0xFF,0xFF,0xFF,0xFF,0xFF,0xFF,0xFF,0xFF,0xFF,0xFF,0xFF,
0xFF,0x3F,0xFF,0xFF,0xFF,0xFF,0xFF,0xFF,0xFF,0xFF,0xFF,0xFF,0xFF,0xFF,0xFF,0xFF,
0xFF,0xF0,0x00,0x00,0x1F,0xFF,0xFF,0xFF,0xFF,0xFF,0xFF,0xFF,0xFF,0xFF,0xFF,0xFF,
0xE2,0x70,0x00,0x00,0x1F,0xFF,0xFF,0xFF,0xFF,0xFF,0xFF,0xFF,0xFF,0xFF,0xFF,0xFF,
0xC0,0x30,0x00,0x00,0x1F,0xFF,0xFF,0xFF,0xFF,0xFF,0xFF,0xFF,0xFF,0xFF,0xFF,0xFF,
0xDD,0xB0,0x00,0x00,0x1F,0xFF,0xFF,0xFF,0xFF,0xFF,0xFF,0xFF,0xFF,0xFF,0xFF,0xFF,
0xC0,0x30,0x00,0x00,0x1F,0xFF,0xFF,0xFF,0xFF,0xFF,0xFF,0xFF,0xFF,0xFF,0xFF,0xFF,
0xE2,0x7F,0xFF,0xFF,0xFF,0xFF,0xFF,0xFF,0xFF,0xFF,0xFF,0xFF,0xFF,0xFF,0xFF,0xFF,
0xFF,0xF0,0x00,0x00,0x1F,0xFF,0xFF,0xFF,0xFF,0xFF,0xFF,0xFF,0xFF,0xFF,0xFF,0xFF,
0xEC,0x70,0x00,0x00,0x1F,0xFF,0xFF,0xFF,0xFF,0xFF,0xFF,0xFF,0xFF,0xFF,0xFF,0xFF,
0xC8,0x3F,0xFF,0xFF,0xFF,0xFF,0xFF,0xFF,0xFF,0xFF,0xFF,0xFF,0xFF,0xFF,0xFF,0xFF,
0xDB,0xB0,0x00,0x00,0x1F,0xFF,0xFF,0xFF,0xFF,0xFF,0xFF,0xFF,0xFF,0xFF,0xFF,0xFF,
0xC0,0x3F,0xFF,0xFF,0xFF,0xFF,0xFF,0xFF,0xFF,0xFF,0xFF,0xFF,0xFF,0xFF,0xFF,0xFF,
0xE0,0x70,0x00,0x00,0x1F,0xFF,0xFF,0xFF,0xFF,0xFF,0xFF,0xFF,0xFF,0xFF,0xFF,0xFF,
0xFF,0xF0,0x00,0x00,0x1F,0xFF,0xFF,0xFF,0xFF,0xFF,0xFF,0xFF,0xFF,0xFF,0xFF,0xFF,
0xFF,0xFF,0xFF,0xFF,0xFF,0xFF,0xFF,0xFF,0xFF,0xFF,0xFF,0xFF,0xFF,0xFF,0xFF,0xFF,
0xFF,0xF0,0x00,0x00,0x1F,0xFF,0xFF,0xFF,0xFF,0xFF,0xFF,0xFF,0xFF,0xFF,0xFF,0xFF,
0xFF,0xF0,0x00,0x00,0x1F,0xFF,0xFF,0xFF,0xFF,0xFF,0xFF,0xFF,0xFF,0xFF,0xFF,0xFF,
0xFF,0xF0,0x00,0x00,0x1F,0xFF,0xFF,0xFF,0xFF,0xFF,0xFF,0xFF,0xFF,0xFF,0xFF,0xFF,
0xFF,0xFF,0xFF,0xFF,0xFF,0xFF,0xFF,0xFF,0xFF,0xFF,0xFF,0xFF,0xFF,0xFF,0xFF,0xFF,
0xFF,0xFF,0xFF,0xFF,0xFF,0xFF,0xFF,0xFF,0xFF,0xFF,0xFF,0xFF,0xFF,0xFF,0xFF,0xFF,
0xFF,0xFF,0xFF,0xFF,0xFF,0xFF,0xFF,0xFF,0xFF,0xFF,0xFF,0xFF,0xFF,0xFF,0xFF,0xFF,
0xFF,0xF0,0x00,0x00,0x1F,0xFF,0xFF,0xFF,0xFF,0xFF,0xFF,0xFF,0xFF,0xFF,0xFF,0xFF,
0xFF,0xF0,0x00,0x00,0x1F,0xFF,0xFF,0xFF,0xFF,0xFF,0xFF,0xFF,0xFF,0xFF,0xFF,0xFF,
0xFF,0xFF,0xFF,0xFF,0xFF,0xFF,0xFF,0xFF,0xFF,0xFF,0xFF,0xFF,0xFF,0xFF,0xFF,0xFF,
0xFF,0xF0,0x00,0x00,0x1F,0xFF,0xFF,0xFF,0xFF,0xFF,0xFF,0xFF,0xFF,0xFF,0xFF,0xFF,
0xFF,0xF0,0x00,0x00,0x1F,0xFF,0xFF,0xFF,0xFF,0xFF,0xFF,0xFF,0xFF,0xFF,0xFF,0xFF,
0xFF,0xFF,0xFF,0xFF,0xFF,0xFF,0xFF,0xFF,0xFF,0xFF,0xFF,0xFF,0xFF,0xFF,0xFF,0xFF,
0xFF,0xFF,0xFF,0xFF,0xFF,0xFF,0xFF,0xFF,0xFF,0xFF,0xFF,0xFF,0xFF,0xFF,0xFF,0xFF,
0xFF,0xFF,0xFF,0xFF,0xFF,0xFF,0xFF,0xFF,0xFF,0xFF,0xFF,0xFF,0xFF,0xFF,0xFF,0xFF,
0xFF,0xF0,0x00,0x00,0x1F,0xFF,0xFF,0xFF,0xFF,0xFF,0xFF,0xFF,0xFF,0xFF,0xFF,0xFF,
0xFF,0xF0,0x00,0x00,0x1F,0xFF,0xFF,0xFF,0xFF,0xFF,0xFF,0xFF,0xFF,0xFF,0xFF,0xFF,
0xFF,0xF0,0x00,0x00,0x1F,0xFF,0xFF,0xFF,0xFF,0xFF,0xFF,0xFF,0xFF,0xFF,0xFF,0xFF,
0xFF,0xFF,0xFF,0xFF,0xFF,0xFF,0xFF,0xFF,0xFF,0xFF,0xFF,0xFF,0xFF,0xFF,0xFF,0xFF,
0xFF,0xF0,0x00,0x00,0x1F,0xFF,0xFF,0xFF,0xFF,0xFF,0xFF,0xFF,0xFF,0xFF,0xFF,0xFF,
0xFF,0xF0,0x00,0x00,0x1F,0xFF,0xFF,0xFF,0xFF,0xFF,0xFF,0xFF,0xFF,0xFF,0xFF,0xFF,
0xFF,0xFF,0xFF,0xFF,0xFF,0xFF,0xFF,0xFF,0xFF,0xFF,0xFF,0xFF,0xFF,0xFF,0xFF,0xFF,
0xFF,0xFF,0xFF,0xFF,0xFF,0xFF,0xFF,0xFF,0xFF,0xFF,0xFF,0xFF,0xFF,0xFF,0xFF,0xFF,
0xFF,0xF0,0x00,0x00,0x1F,0xFF,0xFF,0xFF,0xFF,0xFF,0xFF,0xFF,0xFF,0xFF,0xFF,0xFF,
0xFF,0xF0,0x00,0x00,0x1F,0xFF,0xFF,0xFF,0xFF,0xFF,0xFF,0xFF,0xFF,0xFF,0xFF,0xFF,
0xFF,0xF0,0x00,0x00,0x1F,0xFF,0xFF,0xFF,0xFF,0xFF,0xFF,0xFF,0xFF,0xFF,0xFF,0xFF,
0xFF,0xFF,0xFF,0xFF,0xFF,0xFF,0xFF,0xFF,0xFF,0xFF,0xFF,0xFF,0xFF,0xFF,0xFF,0xFF,
0xFF,0xF0,0x00,0x00,0x1F,0xFF,0xFF,0xFF,0xFF,0xFF,0xFF,0xFF,0xFF,0xFF,0xFF,0xFF,
0xFF,0xF0,0x00,0x00,0x1F,0xFF,0xFF,0xFF,0xFF,0xFF,0xFF,0xFF,0xFF,0xFF,0xFF,0xFF,
0xFF,0xF0,0x00,0x00,0x1F,0xFF,0xFF,0xFF,0xFF,0xFF,0xFF,0xFF,0xFF,0xFF,0xFF,0xFF,
0xFF,0xFF,0xFF,0xFF,0xFF,0xFF,0xFF,0xFF,0xFF,0xFF,0xFF,0xFF,0xFF,0xFF,0xFF,0xFF,
0xFF,0xFF,0xFF,0xFF,0xFF,0xFF,0xFF,0xFF,0xFF,0xFF,0xFF,0xFF,0xFF,0xFF,0xFF,0xFF,
0xFF,0xFF,0xFF,0xFF,0xFF,0xFF,0xFF,0xFF,0xFF,0xFF,0xFF,0xFF,0xFF,0xFF,0xFF,0xFF,
0xFF,0xFF,0xFF,0xFF,0xFF,0xFF,0xFF,0xFF,0xFF,0xFF,0xFF,0xFF,0xFF,0xFF,0xFF,0xFF,
0xFF,0xFF,0xFF,0xFF,0xFF,0xFF,0xFF,0xFF,0xFF,0xFF,0xFF,0xFF,0xFF,0xFF,0xFF,0xFF,
0xFF,0xFF,0xFF,0xFF,0xFF,0xFF,0xFF,0xFF,0xFF,0xFF,0xFF,0xFF,0xFF,0xFF,0xFF,0xFF,
0xFF,0xFF,0xFF,0xFF,0xFF,0xFF,0xFF,0xFF,0xFF,0xFF,0xFF,0xFF,0xFF,0xFF,0xFF,0xFF,
0xFF,0xFF,0xFF,0xFF,0xFF,0xFF,0xFF,0xFF,0xFF,0xFF,0xFF,0xFF,0xFF,0xFF,0xFF,0xFF,
0xE0,0x03,0x78,0xC0,0x07,0xFF,0xFF,0xFF,0xFF,0xFF,0xFF,0xFF,0xFF,0xFF,0xFF,0xFF,
0xE0,0x03,0x70,0xC0,0x07,0xFF,0xFF,0xFF,0xFF,0xFF,0xFF,0xFF,0xFF,0xFF,0xFF,0xFF,
0xEF,0xF3,0x60,0xDF,0xE7,0xFF,0xFF,0xFF,0xFF,0xFF,0xFF,0xFF,0xFF,0xFF,0xFF,0xFF,
0xEC,0x13,0x00,0xD8,0x27,0xFF,0xFF,0xFF,0xFF,0xFF,0xFF,0xFF,0xFF,0xFF,0xFF,0xFF,
0xEC,0x13,0x1C,0xD8,0x27,0xFF,0xFF,0xFF,0xFF,0xFF,0xFF,0xFF,0xFF,0xFF,0xFF,0xFF,
0xEC,0x13,0x20,0xD8,0x27,0xFF,0xFF,0xFF,0xFF,0xFF,0xFF,0xFF,0xFF,0xFF,0xFF,0xFF,
0xEC,0x13,0x60,0xD8,0x27,0xFF,0xFF,0xFF,0xFF,0xFF,0xFF,0xFF,0xFF,0xFF,0xFF,0xFF,
0xEC,0x13,0xE7,0xD8,0x27,0xFF,0xFF,0xFF,0xFF,0xFF,0xFF,0xFF,0xFF,0xFF,0xFF,0xFF,
0xEC,0x13,0xE7,0xD8,0x27,0xFF,0xFF,0xFF,0xFF,0xFF,0xFF,0xFF,0xFF,0xFF,0xFF,0xFF,
0xEF,0xF3,0xE7,0xDF,0xE7,0xFF,0xFF,0xFF,0xFF,0xFF,0xFF,0xFF,0xFF,0xFF,0xFF,0xFF,
0xE0,0x03,0x64,0xC0,0x07,0xFF,0xFF,0xFF,0xFF,0xFF,0xFF,0xFF,0xFF,0xFF,0xFF,0xFF,
0xE0,0x03,0x24,0xC0,0x07,0xFF,0xFF,0xFF,0xFF,0xFF,0xFF,0xFF,0xFF,0xFF,0xFF,0xFF,
0xFF,0xFF,0x83,0xFF,0xFF,0xFF,0xFF,0xFF,0xFF,0xFF,0xFF,0xFF,0xFF,0xFF,0xFF,0xFF,
0xE0,0x7C,0x24,0xD8,0x37,0xFF,0xFF,0xFF,0xFF,0xFF,0xFF,0xFF,0xFF,0xFF,0xFF,0xFF,
0xE0,0x7C,0x64,0xD8,0x27,0xFF,0xFF,0xFF,0xFF,0xFF,0xFF,0xFF,0xFF,0xFF,0xFF,0xFF,
0xE0,0x83,0x87,0x39,0xC7,0xFF,0xFF,0xFF,0xFF,0xFF,0xFF,0xFF,0xFF,0xFF,0xFF,0xFF,
0xE1,0x83,0xC7,0x39,0x87,0xFF,0xFF,0xFF,0xFF,0xFF,0xFF,0xFF,0xFF,0xFF,0xFF,0xFF,
0xF3,0xF0,0xE4,0x19,0x3F,0xFF,0xFF,0xFF,0xFF,0xFF,0xFF,0xFF,0xFF,0xFF,0xFF,0xFF,
0xE1,0x80,0x1C,0xF8,0x7F,0xFF,0xFF,0xFF,0xFF,0xFF,0xFF,0xFF,0xFF,0xFF,0xFF,0xFF,
0xE0,0x80,0x1C,0xF8,0xFF,0xFF,0xFF,0xFF,0xFF,0xFF,0xFF,0xFF,0xFF,0xFF,0xFF,0xFF,
0xE0,0x7C,0x9C,0xDF,0x07,0xFF,0xFF,0xFF,0xFF,0xFF,0xFF,0xFF,0xFF,0xFF,0xFF,0xFF,
0xE0,0x3D,0xDC,0xDF,0x07,0xFF,0xFF,0xFF,0xFF,0xFF,0xFF,0xFF,0xFF,0xFF,0xFF,0xFF,
0xEC,0x0F,0xF8,0xFF,0xFF,0xFF,0xFF,0xFF,0xFF,0xFF,0xFF,0xFF,0xFF,0xFF,0xFF,0xFF,
0xE2,0x3C,0x61,0xC0,0x07,0xFF,0xFF,0xFF,0xFF,0xFF,0xFF,0xFF,0xFF,0xFF,0xFF,0xFF,
0xE2,0x7C,0x63,0xC0,0x07,0xFF,0xFF,0xFF,0xFF,0xFF,0xFF,0xFF,0xFF,0xFF,0xFF,0xFF,
0xF2,0x70,0x63,0xDF,0xE7,0xFF,0xFF,0xFF,0xFF,0xFF,0xFF,0xFF,0xFF,0xFF,0xFF,0xFF,
0xF3,0x60,0x00,0xD8,0x27,0xFF,0xFF,0xFF,0xFF,0xFF,0xFF,0xFF,0xFF,0xFF,0xFF,0xFF,
0xFF,0xE0,0x98,0xD8,0x27,0xFF,0xFF,0xFF,0xFF,0xFF,0xFF,0xFF,0xFF,0xFF,0xFF,0xFF,
0xFE,0x00,0x18,0xD8,0x27,0xFF,0xFF,0xFF,0xFF,0xFF,0xFF,0xFF,0xFF,0xFF,0xFF,0xFF,
0xFE,0x00,0x18,0xD8,0x27,0xFF,0xFF,0xFF,0xFF,0xFF,0xFF,0xFF,0xFF,0xFF,0xFF,0xFF,
0xEC,0x8C,0xF8,0xD8,0x27,0xFF,0xFF,0xFF,0xFF,0xFF,0xFF,0xFF,0xFF,0xFF,0xFF,0xFF,
0xEC,0x0D,0xC0,0xD8,0x27,0xFF,0xFF,0xFF,0xFF,0xFF,0xFF,0xFF,0xFF,0xFF,0xFF,0xFF,
0xFE,0x1F,0x83,0xDF,0xE7,0xFF,0xFF,0xFF,0xFF,0xFF,0xFF,0xFF,0xFF,0xFF,0xFF,0xFF,
0xE3,0xCF,0x80,0xC0,0x07,0xFF,0xFF,0xFF,0xFF,0xFF,0xFF,0xFF,0xFF,0xFF,0xFF,0xFF,
0xE3,0xEF,0x80,0xC0,0x07,0xFF,0xFF,0xFF,0xFF,0xFF,0xFF,0xFF,0xFF,0xFF,0xFF,0xFF,
0xFF,0xFF,0xFF,0xFF,0xFF,0xFF,0xFF,0xFF,0xFF,0xFF,0xFF,0xFF,0xFF,0xFF,0xFF,0xFF,
0xFF,0xFF,0xFF,0xFF,0xFF,0xFF,0xFF,0xFF,0xFF,0xFF,0xFF,0xFF,0xFF,0xFF,0xFF,0xFF,
0xFF,0xFF,0xFF,0xFF,0xFF,0xFF,0xFF,0xFF,0xFF,0xFF,0xFF,0xFF,0xFF,0xFF,0xFF,0xFF,
0xFF,0xFF,0xFF,0xFF,0xFF,0xFF,0xFF,0xFF,0xFF,0xFF,0xFF,0xFF,0xFF,0xFF,0xFF,0xFF,
};


	const unsigned char code  pic_red[4736] = {
/*-- 
/*--  296x128  --*/
0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,
0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,
0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,
0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,
0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,
0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,
0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,
0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,
0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,
0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,
0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,
0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,
0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,
0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,
0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,
0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,
0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,
0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,
0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,
0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,
0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,
0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,
0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,
0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,
0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,
0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,
0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,
0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,
0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,
0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,
0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,
0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,
0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,
0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,
0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,
0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,
0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,
0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,
0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,
0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,
0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,
0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,
0x00,0x00,0x00,0x7F,0xC0,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,
0x00,0x00,0x00,0x7F,0xC0,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,
0x00,0x00,0x00,0x03,0x80,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,
0x00,0x00,0x00,0x0E,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,
0x00,0x00,0x00,0x38,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,
0x00,0x00,0x00,0x7F,0xC0,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,
0x00,0x00,0x00,0x7F,0xC0,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,
0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,
0x00,0x00,0x00,0x7F,0x40,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,
0x00,0x00,0x00,0x7F,0x40,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,
0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,
0x00,0x00,0x00,0x7F,0xC0,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,
0x00,0x00,0x00,0x7F,0xC0,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,
0x00,0x00,0x00,0x0C,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,
0x00,0x00,0x00,0x1E,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,
0x00,0x00,0x00,0x7B,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,
0x00,0x00,0x00,0x61,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,
0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,
0x00,0x00,0x00,0x3E,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,
0x00,0x00,0x00,0x7F,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,
0x00,0x00,0x00,0x49,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,
0x00,0x00,0x00,0x49,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,
0x00,0x00,0x00,0x6F,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,
0x00,0x00,0x00,0x2E,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,
0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,
0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,
0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,
0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,
0x00,0x00,0x00,0x23,0x80,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,
0x00,0x00,0x00,0x67,0xC0,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,
0x00,0x00,0x00,0x46,0x40,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,
0x00,0x00,0x00,0x4E,0x40,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,
0x00,0x00,0x00,0x4C,0x40,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,
0x00,0x00,0x00,0x7C,0xC0,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,
0x00,0x00,0x00,0x38,0x80,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,
0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,
0x00,0x00,0x00,0x7F,0xC0,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,
0x00,0x00,0x00,0x7F,0xC0,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,
0x00,0x00,0x00,0x02,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,
0x00,0x00,0x00,0x01,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,
0x00,0x00,0x00,0x7F,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,
0x00,0x00,0x00,0x7E,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,
0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,
0x00,0x00,0x00,0x3E,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,
0x00,0x00,0x00,0x7F,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,
0x00,0x00,0x00,0x41,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,
0x00,0x00,0x00,0x41,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,
0x00,0x00,0x00,0x7F,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,
0x00,0x00,0x00,0x3E,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,
0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,
0x00,0x00,0x00,0x3E,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,
0x00,0x00,0x00,0x7F,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,
0x00,0x00,0x00,0x49,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,
0x00,0x00,0x00,0x49,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,
0x00,0x00,0x00,0x6F,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,
0x00,0x00,0x00,0x2E,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,
0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,
0x00,0x00,0x00,0x26,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,
0x00,0x00,0x00,0x6F,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,
0x00,0x00,0x00,0x4D,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,
0x00,0x00,0x00,0x59,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,
0x00,0x00,0x00,0x7B,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,
0x00,0x00,0x00,0x32,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,
0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,
0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,
0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,
0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,
0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,
0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,
0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,
0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,
0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,
0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,
0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,
0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,
0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,
0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,
0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,
0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,
0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,
0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,
0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,
0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,
0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,
0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,
0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,
0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,
0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,
0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,
0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,
0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,
0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,
0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,
0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,
0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,
0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,
0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,
0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,
0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,
0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,
0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,
0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,
0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,
0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,
0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,
0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,
0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,
0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,
0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,
0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,
0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,
0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,
0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,
0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,
0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,
0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,
0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,
0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,
0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,
0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,
0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,
0x00,0x00,0x00,0x00,0x00,0x03,0xFF,0xFF,0xFF,0xFF,0xFF,0xFF,0xFF,0xFF,0xFF,0xF0,
0x00,0x00,0x00,0x00,0x00,0x03,0xFF,0xFF,0xFF,0xFF,0xFF,0xFF,0xFF,0xFF,0xFF,0xF0,
0x00,0x00,0x00,0x00,0x00,0x03,0xFF,0xFF,0xFF,0xFF,0xFF,0xFF,0xFF,0xFF,0xFF,0xF0,
0x00,0x00,0x00,0x00,0x00,0x03,0xFF,0xFF,0xFF,0xFF,0xFF,0xFF,0xFF,0xFF,0xFF,0xF0,
0x00,0x00,0x00,0x00,0x00,0x03,0xFF,0xFF,0xFF,0xFF,0xFF,0xFF,0xFF,0xFF,0xFF,0xF0,
0x00,0x00,0x00,0x00,0x00,0x03,0xFF,0xFF,0xFF,0xFF,0x9F,0xFF,0xFF,0xFF,0xFF,0xF0,
0x00,0x00,0x00,0x00,0x00,0x03,0xFF,0xFF,0xFF,0xFE,0x1F,0xF8,0x1F,0xFF,0xFF,0xF0,
0x00,0x00,0x00,0x00,0x00,0x03,0xFF,0xFF,0xFF,0xFC,0x0F,0xE0,0x07,0xFF,0xFF,0xF0,
0x00,0x00,0x00,0x00,0x00,0x03,0xFF,0xFF,0xFF,0xF8,0x0F,0xC0,0x03,0xFF,0xFF,0xF0,
0x00,0x00,0x00,0x00,0x00,0x03,0xFF,0xFF,0xFF,0xF0,0x0F,0x80,0x01,0xFF,0xFF,0xF0,
0x00,0x00,0x00,0x00,0x00,0x03,0xFF,0xFF,0xFF,0xF0,0x1F,0x80,0x01,0xFF,0xFF,0xF0,
0x00,0x00,0x00,0x00,0x00,0x03,0xFF,0xFF,0xFF,0xE0,0x7F,0x03,0xC0,0xFF,0xFF,0xF0,
0x00,0x00,0x00,0x00,0x00,0x03,0xFF,0xFF,0xFF,0xE0,0xFF,0x07,0xE0,0xFC,0x01,0xF0,
0x00,0x00,0x00,0x00,0x00,0x03,0xFF,0xFF,0xFE,0x00,0x00,0x00,0x00,0x3C,0x01,0xF0,
0x00,0x00,0x00,0x00,0x00,0x03,0xFF,0xFF,0xFE,0x00,0x00,0x00,0x00,0x3F,0xBD,0xF0,
0x00,0x00,0x00,0x00,0x00,0x03,0xFF,0xFF,0xFE,0x00,0x00,0x00,0x00,0x3F,0xBD,0xF0,
0x00,0x00,0x00,0x00,0x00,0x03,0xFF,0xFF,0xFF,0xE0,0xFE,0x0F,0xE0,0xFF,0xBD,0xF0,
0x00,0x00,0x00,0x00,0x00,0x03,0xFF,0xFF,0xFF,0xE0,0xFC,0x1F,0xC0,0xFF,0x81,0xF0,
0x00,0x00,0x00,0x00,0x00,0x03,0xFF,0xFF,0xFF,0xF0,0x78,0x1F,0x01,0xFF,0xC3,0xF0,
0x00,0x00,0x00,0x00,0x00,0x03,0xFF,0xFF,0xFF,0xF0,0x00,0x1F,0x01,0xFF,0xFF,0xF0,
0x00,0x00,0x00,0x00,0x00,0x03,0xFF,0xFF,0xFF,0xF8,0x00,0x3F,0x03,0xFC,0x01,0xF0,
0x00,0x00,0x00,0x00,0x00,0x03,0xFF,0xFF,0xFF,0xFC,0x00,0x7F,0x87,0xFC,0x01,0xF0,
0x00,0x00,0x00,0x00,0x00,0x03,0xFF,0xFF,0xFF,0xFE,0x00,0xFF,0x9F,0xFF,0xDD,0xF0,
0x00,0x00,0x00,0x00,0x00,0x03,0xFF,0xFF,0xFF,0xFF,0x81,0xFF,0xFF,0xFF,0xDD,0xF0,
0x00,0x00,0x00,0x00,0x00,0x03,0xFF,0xFF,0xFF,0xFF,0xFF,0xFF,0xFF,0xFF,0x9D,0xF0,
0x00,0x00,0x00,0x00,0x00,0x03,0xFF,0xFF,0xFF,0xFF,0xFF,0xFF,0xFF,0xFE,0x01,0xF0,
0x00,0x00,0x00,0x00,0x00,0x03,0xFF,0xFF,0xFF,0xFF,0xFF,0xFF,0xFF,0xFC,0x63,0xF0,
0x00,0x00,0x00,0x00,0x00,0x03,0xFF,0xFF,0xFF,0xFF,0xFF,0xFF,0xFF,0xFD,0xFF,0xF0,
0x00,0x00,0x00,0x00,0x00,0x03,0xFF,0xFF,0xFF,0xFF,0xFF,0xFF,0xFF,0xFF,0x07,0xF0,
0x00,0x00,0x00,0x00,0x00,0x03,0xFF,0xFF,0xFF,0xFF,0xFF,0xF0,0x7F,0xFE,0x03,0xF0,
0x00,0x00,0x00,0x00,0x00,0x03,0xFF,0xFF,0xFF,0xFF,0xFF,0xF8,0x3F,0xFC,0xF9,0xF0,
0x00,0x00,0x00,0x00,0x00,0x03,0xFF,0xFF,0xFF,0xFF,0xFF,0xF8,0x3F,0xFD,0xFD,0xF0,
0x00,0x00,0x00,0x00,0x00,0x03,0xFF,0x1F,0xFF,0xFF,0xFF,0xFC,0x1F,0xFD,0xFD,0xF0,
0x00,0x00,0x00,0x00,0x00,0x03,0xFF,0x0F,0xFF,0xFF,0xFF,0xFC,0x1F,0xFC,0xF9,0xF0,
0x00,0x00,0x00,0x00,0x00,0x03,0xFF,0x23,0xFF,0xFF,0xFF,0xFE,0x0F,0xFE,0x03,0xF0,
0x00,0x00,0x00,0x00,0x00,0x03,0xFF,0x30,0xFF,0xFF,0xFF,0xFF,0x07,0xFF,0x07,0xF0,
0x00,0x00,0x00,0x00,0x00,0x03,0xFF,0x3C,0x3F,0xE0,0x00,0x00,0x03,0xFF,0xFF,0xF0,
0x00,0x00,0x00,0x00,0x00,0x03,0xF8,0x00,0x1F,0xE0,0x00,0x00,0x00,0xFC,0x01,0xF0,
0x00,0x00,0x00,0x00,0x00,0x03,0xF8,0x00,0x1F,0xE0,0x00,0x00,0x00,0xFC,0x01,0xF0,
0x00,0x00,0x00,0x00,0x00,0x03,0xF8,0x00,0x1F,0xE0,0x00,0x00,0x00,0xFF,0xE1,0xF0,
0x00,0x00,0x00,0x00,0x00,0x03,0xFF,0x3F,0xFF,0xE0,0x00,0x00,0x00,0xFE,0x07,0xF0,
0x00,0x00,0x00,0x00,0x00,0x03,0xFF,0x3F,0xFF,0xE0,0x00,0x00,0x00,0xFC,0x7F,0xF0,
0x00,0x00,0x00,0x00,0x00,0x03,0xFF,0xFF,0xFF,0xFF,0xFF,0xFF,0xFF,0xFE,0x07,0xF0,
0x00,0x00,0x00,0x00,0x00,0x03,0xFF,0xFF,0xFF,0xFF,0xFF,0xFF,0xFF,0xFF,0xE1,0xF0,
0x00,0x00,0x00,0x00,0x00,0x03,0xFF,0x00,0xFF,0xFF,0xFF,0xFF,0xFF,0xFC,0x01,0xF0,
0x00,0x00,0x00,0x00,0x00,0x03,0xFC,0x00,0x3F,0xFF,0xFF,0xFF,0xFF,0xFC,0x01,0xF0,
0x00,0x00,0x00,0x00,0x00,0x03,0xFC,0x00,0x3F,0xFF,0xFF,0xFF,0xFF,0xFF,0xFF,0xF0,
0x00,0x00,0x00,0x00,0x00,0x03,0xF8,0xFF,0x1F,0xFF,0xFF,0xFF,0xFF,0xFF,0x07,0xF0,
0x00,0x00,0x00,0x00,0x00,0x03,0xF9,0xFF,0x9F,0xFF,0xFF,0xFF,0xFF,0xFE,0x03,0xF0,
0x00,0x00,0x00,0x00,0x00,0x03,0xF8,0xFF,0x1F,0xFF,0xE0,0x01,0xFF,0xFC,0xF9,0xF0,
0x00,0x00,0x00,0x00,0x00,0x03,0xFC,0x00,0x3F,0xFF,0x00,0x00,0x1F,0xFD,0xFD,0xF0,
0x00,0x00,0x00,0x00,0x00,0x03,0xFC,0x00,0x3F,0xFC,0x00,0x00,0x07,0xFD,0xFD,0xF0,
0x00,0x00,0x00,0x00,0x00,0x03,0xFF,0x00,0xFF,0xF8,0x00,0x00,0x03,0xFC,0xF9,0xF0,
0x00,0x00,0x00,0x00,0x00,0x03,0xFF,0xFF,0xFF,0xF0,0x00,0x00,0x01,0xFE,0x03,0xF0,
0x00,0x00,0x00,0x00,0x00,0x03,0xFF,0xFF,0xFF,0xF0,0x00,0x00,0x01,0xFF,0x07,0xF0,
0x00,0x00,0x00,0x00,0x00,0x03,0xFF,0xF8,0x3F,0xE0,0x1F,0xFF,0x00,0xFF,0xFF,0xF0,
0x00,0x00,0x00,0x00,0x00,0x03,0xFF,0xF0,0x1F,0xE0,0x7F,0xFF,0xC0,0xFF,0xFD,0xF0,
0x00,0x00,0x00,0x00,0x00,0x03,0xFF,0xF7,0xDF,0xE0,0xFF,0xFF,0xE0,0xFF,0xFD,0xF0,
0x00,0x00,0x00,0x00,0x00,0x03,0xF7,0xF7,0xDF,0xE0,0xFF,0xFF,0xE0,0xFC,0x01,0xF0,
0x00,0x00,0x00,0x00,0x00,0x03,0xF1,0xF0,0x1F,0xE0,0xFF,0xFF,0xE0,0xFC,0x01,0xF0,
0x00,0x00,0x00,0x00,0x00,0x03,0xF8,0x78,0x3F,0xE0,0x7F,0xFF,0xC0,0xFF,0xFD,0xF0,
0x00,0x00,0x00,0x00,0x00,0x03,0xFE,0x1F,0xFF,0xE0,0x1F,0xFF,0x00,0xFF,0xFD,0xF0,
0x00,0x00,0x00,0x00,0x00,0x03,0xFF,0x87,0xFF,0xF0,0x00,0x00,0x01,0xFF,0xFF,0xF0,
0x00,0x00,0x00,0x00,0x00,0x03,0xFF,0xE0,0xFF,0xF0,0x00,0x00,0x01,0xFC,0x01,0xF0,
0x00,0x00,0x00,0x00,0x00,0x03,0xF8,0x38,0x3F,0xF8,0x00,0x00,0x03,0xFC,0x01,0xF0,
0x00,0x00,0x00,0x00,0x00,0x03,0xF0,0x1F,0x1F,0xFC,0x00,0x00,0x07,0xFF,0xFF,0xF0,
0x00,0x00,0x00,0x00,0x00,0x03,0xF7,0xDF,0xDF,0xFF,0x00,0x00,0x1F,0xFF,0x07,0xF0,
0x00,0x00,0x00,0x00,0x00,0x03,0xF7,0xDF,0xFF,0xFF,0xF0,0x01,0xFF,0xFE,0x03,0xF0,
0x00,0x00,0x00,0x00,0x00,0x03,0xF0,0x1F,0xFF,0xFF,0xFF,0xFF,0xFF,0xFC,0xF9,0xF0,
0x00,0x00,0x00,0x00,0x00,0x03,0xF8,0x3F,0xFF,0xFF,0xFF,0xFF,0xFF,0xFD,0xFD,0xF0,
0x00,0x00,0x00,0x00,0x00,0x03,0xFF,0xFF,0xFF,0xFF,0xFF,0xFF,0xFF,0xFD,0xFD,0xF0,
0x00,0x00,0x00,0x00,0x00,0x03,0xFF,0xFF,0xFF,0xFF,0xFF,0xFF,0xFF,0xFC,0xF9,0xF0,
0x00,0x00,0x00,0x00,0x00,0x03,0xFF,0xFF,0xFF,0xFF,0xFF,0xFF,0xFF,0xFE,0x03,0xF0,
0x00,0x00,0x00,0x00,0x00,0x03,0xFF,0xFF,0xFF,0xE0,0x7F,0xFF,0xFF,0xFF,0x07,0xF0,
0x00,0x00,0x00,0x00,0x00,0x03,0xFF,0xFF,0xFF,0xE0,0x7F,0xFF,0xFF,0xFF,0xFF,0xF0,
0x00,0x00,0x00,0x00,0x00,0x03,0xFF,0xFF,0xFF,0xE0,0x7F,0xFF,0xFF,0xFC,0x01,0xF0,
0x00,0x00,0x00,0x00,0x00,0x03,0xFC,0x3F,0xFF,0xE0,0x7F,0xFF,0xFF,0xFC,0x01,0xF0,
0x00,0x00,0x00,0x00,0x00,0x03,0xF8,0x1F,0xFF,0xE0,0x7F,0xFF,0xFF,0xFF,0xE3,0xF0,
0x00,0x00,0x00,0x00,0x00,0x03,0xF1,0x8F,0xFF,0xE0,0x7F,0xFF,0xFF,0xFF,0x8F,0xF0,
0x00,0x00,0x00,0x00,0x00,0x03,0xF3,0xCF,0xFF,0xFF,0xFF,0xFF,0xFF,0xFE,0x3F,0xF0,
0x00,0x00,0x00,0x00,0x00,0x03,0xF1,0x8F,0xFF,0xFF,0xFF,0xFF,0xFF,0xFC,0x01,0xF0,
0x00,0x00,0x00,0x00,0x00,0x03,0xF8,0x1F,0xFF,0xFF,0xFF,0xFF,0xFF,0xFC,0x01,0xF0,
0x00,0x00,0x00,0x00,0x00,0x03,0xFC,0x3F,0xFF,0xFF,0x81,0xFF,0xFF,0xFF,0xFF,0xF0,
0x00,0x00,0x00,0x00,0x00,0x03,0xFF,0xFF,0xFF,0xFE,0x00,0xFC,0x0F,0xFF,0xFF,0xF0,
0x00,0x00,0x00,0x00,0x00,0x03,0xFF,0xCF,0xFF,0xFC,0x00,0x38,0x07,0xFF,0xFF,0xF0,
0x00,0x00,0x00,0x00,0x00,0x03,0xF0,0x03,0xFF,0xF8,0x00,0x30,0x03,0xFF,0xFF,0xF0,
0x00,0x00,0x00,0x00,0x00,0x03,0xF0,0x01,0xFF,0xF0,0x00,0x10,0x01,0xFC,0x01,0xF0,
0x00,0x00,0x00,0x00,0x00,0x03,0xFF,0xC9,0xFF,0xF0,0x00,0x00,0x01,0xFC,0x01,0xF0,
0x00,0x00,0x00,0x00,0x00,0x03,0xFF,0xC9,0xFF,0xE0,0x7E,0x00,0x00,0xFF,0xBD,0xF0,
0x00,0x00,0x00,0x00,0x00,0x03,0xFF,0xC9,0xFF,0xE0,0xFF,0x03,0xE0,0xFF,0xBD,0xF0,
0x00,0x00,0x00,0x00,0x00,0x03,0xF0,0x03,0xFF,0xE1,0xFF,0x87,0xF0,0xFF,0xBD,0xF0,
0x00,0x00,0x00,0x00,0x00,0x03,0xF0,0x01,0xFF,0xE1,0xFF,0x87,0xF0,0xFF,0x81,0xF0,
0x00,0x00,0x00,0x00,0x00,0x03,0xFF,0xC9,0xFF,0xE1,0xFF,0x87,0xF0,0xFF,0xC3,0xF0,
0x00,0x00,0x00,0x00,0x00,0x03,0xFF,0xC9,0xFF,0xE0,0xFF,0x03,0xE0,0xFF,0xFF,0xF0,
0x00,0x00,0x00,0x00,0x00,0x03,0xFF,0xF9,0xFF,0xE0,0x7E,0x00,0x00,0xFC,0x01,0xF0,
0x00,0x00,0x00,0x00,0x00,0x03,0xFF,0xFF,0xFF,0xF0,0x00,0x00,0x01,0xFC,0x01,0xF0,
0x00,0x00,0x00,0x00,0x00,0x03,0xFF,0xFF,0xFF,0xF0,0x00,0x10,0x01,0xFF,0xDD,0xF0,
0x00,0x00,0x00,0x00,0x00,0x03,0xFF,0xFF,0xFF,0xF8,0x00,0x30,0x03,0xFF,0xDD,0xF0,
0x00,0x00,0x00,0x00,0x00,0x03,0xFF,0xFF,0xFF,0xFC,0x00,0x38,0x07,0xFF,0x9D,0xF0,
0x00,0x00,0x00,0x00,0x00,0x03,0xFF,0xFF,0xFF,0xFE,0x00,0xFC,0x0F,0xFE,0x01,0xF0,
0x00,0x00,0x00,0x00,0x00,0x03,0xFF,0xFF,0xFF,0xFF,0x81,0xFF,0xFF,0xFC,0x63,0xF0,
0x00,0x00,0x00,0x00,0x00,0x03,0xFF,0xFF,0xFF,0xFF,0xFF,0xFF,0xFF,0xFD,0xFF,0xF0,
0x00,0x00,0x00,0x00,0x00,0x03,0xFF,0xFF,0xFF,0xFF,0xFF,0xFF,0xFF,0xFC,0x01,0xF0,
0x00,0x00,0x00,0x00,0x00,0x03,0xFF,0xFF,0xFF,0xFF,0xFF,0xFF,0xFF,0xFC,0x01,0xF0,
0x00,0x00,0x00,0x00,0x00,0x03,0xFF,0xFF,0xFF,0xFF,0xFF,0xFF,0xC0,0xFF,0xFF,0xF0,
0x00,0x00,0x00,0x00,0x00,0x03,0xFF,0xFF,0xFF,0xFF,0xFF,0xFF,0xC0,0xFF,0x07,0xF0,
0x00,0x00,0x00,0x00,0x00,0x03,0xFF,0xFF,0xFF,0xFF,0xFF,0xFF,0xC0,0xFE,0x03,0xF0,
0x00,0x00,0x00,0x00,0x00,0x03,0xFF,0xFF,0xFF,0xE0,0xFF,0xFF,0xC0,0xFC,0xF9,0xF0,
0x00,0x00,0x00,0x00,0x00,0x03,0xFF,0xFF,0xFF,0xE0,0x0F,0xFF,0xC0,0xFD,0xFD,0xF0,
0x00,0x00,0x00,0x00,0x00,0x03,0xFF,0xFF,0xFF,0xE0,0x01,0xFF,0xC0,0xFD,0xFD,0xF0,
0x00,0x00,0x00,0x00,0x00,0x03,0xFF,0xFF,0xFF,0xE0,0x00,0x7F,0xC0,0xFC,0xF9,0xF0,
0x00,0x00,0x00,0x00,0x00,0x03,0xFF,0xFF,0xFF,0xE0,0x00,0x1F,0xC0,0xFE,0xFB,0xF0,
0x00,0x00,0x00,0x00,0x00,0x03,0xFF,0xFF,0xFF,0xE0,0x00,0x07,0xC0,0xFF,0xFF,0xF0,
0x00,0x00,0x00,0x00,0x00,0x03,0xFF,0xFF,0xFF,0xFF,0x00,0x03,0xC0,0xFC,0x01,0xF0,
0x00,0x00,0x00,0x00,0x00,0x03,0xFF,0xFF,0xFF,0xFF,0xF8,0x00,0xC0,0xFC,0x01,0xF0,
0x00,0x00,0x00,0x00,0x00,0x03,0xFF,0xFF,0xFF,0xFF,0xFF,0x00,0x40,0xFD,0xDD,0xF0,
0x00,0x00,0x00,0x00,0x00,0x03,0xFF,0xFF,0xFF,0xFF,0xFF,0xC0,0x00,0xFD,0xDD,0xF0,
0x00,0x00,0x00,0x00,0x00,0x03,0xFF,0xFF,0xFF,0xFF,0xFF,0xF0,0x00,0xFD,0xDD,0xF0,
0x00,0x00,0x00,0x00,0x00,0x03,0xFF,0xFF,0xFF,0xFF,0xFF,0xFC,0x00,0xFD,0xDD,0xF0,
0x00,0x00,0x00,0x00,0x00,0x03,0xFF,0xFF,0xFF,0xFF,0xFF,0xFF,0x00,0xFF,0xFF,0xF0,
0x00,0x00,0x00,0x00,0x00,0x03,0xFF,0xFF,0xFF,0xFF,0xFF,0xFF,0x80,0xFF,0xFF,0xF0,
0x00,0x00,0x00,0x00,0x00,0x03,0xFF,0xFF,0xFF,0xFF,0xFF,0xFF,0xC0,0xFF,0xFF,0xF0,
0x00,0x00,0x00,0x00,0x00,0x03,0xFF,0xFF,0xFF,0xFF,0xFF,0xFF,0xE0,0xFF,0xFF,0xF0,
0x00,0x00,0x00,0x00,0x00,0x03,0xFF,0xFF,0xFF,0xFF,0xFF,0xFF,0xFF,0xFF,0xFF,0xF0,
0x00,0x00,0x00,0x00,0x00,0x03,0xFF,0xFF,0xFF,0xFF,0xFF,0xFF,0xFF,0xFF,0xFF,0xF0,
0x00,0x00,0x00,0x00,0x00,0x03,0xFF,0xFF,0xFF,0xFF,0xFF,0xFF,0xFF,0xFF,0xFF,0xF0,
0x00,0x00,0x00,0x00,0x00,0x03,0xFF,0xFF,0xFF,0xFF,0xFF,0xFF,0xFF,0xFF,0xFF,0xF0,
0x00,0x00,0x00,0x00,0x00,0x03,0xFF,0xFF,0xFF,0xFF,0xFF,0xFF,0xFF,0xFF,0xFF,0xF0,
0x00,0x00,0x00,0x00,0x00,0x03,0xFF,0xFF,0xFF,0xFF,0xFF,0xFF,0xFF,0xFF,0xFF,0xF0,
0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,
0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,
0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,
0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,
};
	



	const unsigned char code  pic_black1[4736] = {

/*--  
/*-- 296x128  --*/
0xFF,0xFF,0xFF,0xFF,0xFF,0xFF,0xFF,0xFF,0xFF,0xFF,0xFF,0xFF,0xFF,0xFF,0xFF,0xFF,
0xFF,0xFF,0xFF,0xFF,0xFF,0xFF,0xFF,0xFF,0xFF,0xFF,0xFF,0xFF,0xFF,0xFF,0xFF,0xFF,
0xFF,0xFF,0xFF,0xFF,0xFF,0xFF,0xFF,0xFF,0xFF,0xFF,0xFF,0xFF,0xFF,0xFF,0xFF,0xFF,
0xFF,0xFF,0xFF,0xFF,0xFF,0xFF,0xFF,0xFF,0xFF,0xFF,0xFF,0xFF,0xFF,0xFF,0xFF,0xFF,
0xFF,0xFF,0xFF,0xFF,0xFF,0xFF,0xFF,0xFF,0xFF,0xFF,0xFF,0xFF,0xFF,0xFF,0xFF,0xFF,
0xFF,0xFF,0xFF,0xFF,0xFF,0xFF,0xFF,0xFF,0xFF,0xFF,0xFF,0xFF,0xFF,0xFF,0xFF,0xFF,
0xFF,0xFF,0xFF,0xFF,0xFF,0xFF,0xFF,0xFF,0xFF,0xFF,0xFF,0xFF,0xFF,0xFF,0xFF,0xFF,
0xFF,0xFF,0xFF,0xFF,0xFF,0xFF,0xFF,0xFF,0xFF,0xFF,0xFF,0xFF,0xFF,0xFF,0xFF,0xFF,
0xFF,0xFF,0xFF,0xFF,0xFF,0xFF,0xFF,0xF8,0x00,0x00,0x7F,0xFF,0xFF,0xFF,0xFF,0xFF,
0xFF,0xFF,0xFF,0xFF,0xFF,0xFF,0xFF,0x13,0x9F,0xFF,0x83,0xFF,0xFF,0xFF,0xFF,0xFF,
0xFF,0xFF,0xFF,0xFF,0xFF,0xFF,0xF9,0xEF,0x9F,0xFF,0x80,0x00,0xFF,0xFF,0xFF,0xFF,
0xFF,0xFF,0xFF,0xFF,0xFF,0xFF,0xF7,0xEF,0x3F,0xFF,0x03,0xFE,0x0F,0xFF,0xFF,0xFF,
0xFF,0xFF,0xFF,0xFF,0xFF,0xFF,0xCF,0xCF,0x7F,0xFE,0x07,0xFF,0xF3,0xFF,0xFF,0xFF,
0xFF,0xFF,0xFF,0xFF,0xFF,0xFF,0x9F,0xDE,0xFF,0xFC,0x0F,0xFF,0xC1,0xFF,0xFF,0xFF,
0xFF,0xFF,0xFF,0xFF,0xFF,0xFF,0x3F,0xDE,0xFF,0xFC,0x0E,0x7E,0x3D,0xFF,0xFF,0xFF,
0xFF,0xFF,0xFF,0xFF,0xFF,0xFF,0x7F,0x9D,0xFF,0xF8,0x0D,0xF1,0xFE,0xFF,0xFF,0xFF,
0xFF,0xFF,0xFF,0xFF,0xFF,0xFE,0xFF,0xBD,0xFF,0xF8,0x13,0xE7,0xFE,0xFF,0xFF,0xFF,
0xFF,0xFF,0xFF,0xFF,0xFF,0xFE,0xFF,0xBB,0xFF,0xF0,0x3B,0x9C,0x0E,0xFF,0xFF,0xFF,
0xFF,0xFF,0xFF,0xFF,0xFF,0xFD,0xFF,0xBB,0xFF,0xF0,0x7D,0x30,0xEE,0xFF,0xFF,0xFF,
0xFF,0xFF,0xFF,0xFF,0xFF,0xFD,0xFF,0xBB,0xFF,0xE0,0x7C,0xE3,0xE6,0xFF,0xFF,0xFF,
0xFF,0xFF,0xFF,0xFF,0xFF,0xFD,0xFF,0xB7,0xFF,0xE0,0x79,0xCF,0xE6,0xFF,0xFF,0xFF,
0xFF,0x80,0x1F,0xFF,0xFF,0xFD,0xFF,0x77,0xFF,0xC0,0xFB,0x9F,0xE5,0xFF,0xFF,0xFF,
0xFF,0x80,0x1F,0xFF,0xFF,0xFB,0xFF,0x77,0xFF,0xC0,0xF3,0x3F,0xED,0xFF,0xFF,0xFF,
0xFF,0xDD,0xFF,0xFF,0xFF,0xFB,0xFF,0x77,0xFF,0x81,0xF7,0x7F,0xED,0xFF,0xFF,0xFF,
0xFF,0xBE,0xFF,0xFF,0xFF,0xFB,0xFF,0x6F,0xFF,0x81,0xE6,0x7F,0xED,0xFF,0xFF,0xFF,
0xFF,0x80,0xFF,0xFF,0xFF,0xFB,0xFF,0x6F,0xFF,0x03,0xEE,0xFF,0xCD,0xFF,0xFF,0xFF,
0xFF,0xC1,0xFF,0xFF,0xFF,0xFB,0xFE,0x6F,0xFF,0x03,0xEE,0xFF,0xCB,0xFF,0xFF,0xFF,
0xFF,0xFF,0xFF,0xFF,0xFF,0xFB,0xFE,0xEF,0xFF,0x03,0xEC,0xFF,0xDB,0xFF,0xFF,0xFF,
0xFF,0xFF,0xFF,0xFF,0xFF,0xFB,0xFE,0xEF,0xFE,0x03,0xED,0xFF,0xDB,0xFF,0xFF,0xFF,
0xFF,0xC0,0xFF,0xFF,0xFF,0xFB,0xFE,0xEF,0xFE,0x07,0xED,0xFF,0xD3,0xFF,0xFF,0xFF,
0xFF,0x80,0xFF,0xFF,0xFF,0xFB,0xFE,0xDF,0xFC,0x07,0xED,0xFF,0x97,0xFF,0xFF,0xFF,
0xFF,0xBF,0xFF,0xFF,0xFF,0xFB,0xFE,0xDF,0xFC,0x07,0xED,0xFF,0xB7,0xFF,0xFF,0xFF,
0xFF,0xDF,0xFF,0xFF,0xFF,0xFB,0xFE,0xDF,0xF8,0x07,0xED,0xFF,0xB7,0xFF,0xFF,0xFF,
0xFF,0x80,0xFF,0xFF,0xFF,0xFB,0xFE,0xDF,0xF8,0x0F,0xED,0xFF,0xA7,0xFF,0xFF,0xFF,
0xFF,0x80,0xFF,0xFF,0xFF,0xFB,0xFC,0xDF,0xF8,0x0F,0xF5,0xFF,0xAF,0xFF,0xFF,0xFF,
0xFF,0xFF,0xFF,0xFF,0xFF,0xFB,0xFC,0xDF,0xF0,0x0F,0xF5,0xFB,0x2F,0xFF,0xFF,0xFF,
0xFD,0xFC,0xFF,0xFF,0xFF,0xF7,0xFD,0xDF,0xF0,0x0F,0xF6,0xFB,0x6F,0xFF,0xFF,0xFF,
0xFD,0xE0,0xFF,0xFF,0xFF,0xF7,0xFD,0xDF,0xF0,0x1F,0xFA,0xFB,0x5F,0xFF,0xFF,0xFF,
0xFC,0x03,0xFF,0xFF,0xFF,0xF7,0xFD,0xDF,0xE0,0x1F,0xFB,0x7B,0x1F,0xFF,0xFF,0xFF,
0xFC,0x1F,0xFF,0xFF,0xFF,0xF7,0xFD,0xDF,0xE0,0x1F,0xFD,0x7B,0x1F,0xFF,0xFF,0xFF,
0xFF,0x03,0xFF,0xFF,0xFF,0xF7,0xFD,0xDF,0xC0,0x1F,0xFC,0xBB,0x3F,0xFF,0xFF,0xFF,
0xFF,0xE0,0xFF,0xFF,0xFF,0xF7,0xFD,0x9F,0xC0,0x3F,0xFE,0x9B,0x3F,0xFF,0xFF,0xFF,
0xFF,0xFC,0xFF,0x80,0x3F,0xF7,0xFD,0xBF,0xC0,0x3F,0xFF,0x5B,0x3F,0xFF,0xFF,0xFF,
0xFF,0xFF,0xFF,0x80,0x3F,0xF7,0xFD,0xBF,0x80,0x3F,0xFF,0x8B,0x3F,0xFF,0xFF,0xFF,
0xFF,0xC1,0xFF,0xFC,0x7F,0xF7,0xFD,0xBF,0x80,0x3F,0xFF,0x88,0xBF,0xFF,0xFF,0xFF,
0xFF,0x80,0xFF,0xF1,0xFF,0xF7,0xFD,0xBF,0x80,0x7F,0xFF,0xC0,0x3F,0xFF,0xFF,0xFF,
0xFF,0xBE,0xFF,0xC7,0xFF,0xF7,0xFD,0xBF,0x80,0x7F,0xFF,0xE0,0xBF,0xFF,0xFF,0xFF,
0xFF,0xDD,0xFF,0x80,0x3F,0xF7,0xFD,0xBF,0x00,0x7F,0xFF,0xF0,0xBF,0xE3,0xFF,0xFF,
0xFF,0x80,0x1F,0x80,0x3F,0xF7,0xF9,0xBF,0x00,0x7F,0xFF,0xF8,0xBF,0x9D,0xFF,0xFF,
0xFF,0x80,0x1F,0xFF,0xFF,0xF7,0xFB,0x7F,0x00,0xFF,0xFF,0xF9,0xBE,0x6E,0xFF,0xFF,
0xFF,0xFF,0xFF,0x80,0xBF,0xF7,0xFB,0x7E,0x00,0xFF,0xFF,0xFB,0xF8,0x03,0x7F,0xFF,
0xFF,0xFF,0xFF,0x80,0xBF,0xF7,0xFB,0x7E,0x00,0xFF,0xFF,0xF8,0xD0,0x61,0xBF,0xFF,
0xFF,0x80,0x9F,0xFF,0xFF,0xF7,0xFB,0x7E,0x00,0xFF,0xFF,0xF3,0x09,0x38,0xBF,0xFF,
0xFF,0x80,0x9F,0x80,0x3F,0xF7,0xFB,0x7C,0x01,0xFF,0xFF,0xF6,0x83,0xFC,0x5F,0xFF,
0xFF,0xFF,0xFF,0x80,0x3F,0xF7,0xFB,0x7C,0x01,0xFF,0xFF,0xE5,0x07,0xFF,0x5F,0xFF,
0xFF,0xD9,0xFF,0xF3,0xFF,0xF7,0xF7,0x7C,0x01,0xFF,0xFF,0xC3,0x8F,0xFE,0xAF,0xFF,
0xFF,0x90,0xFF,0xE1,0xFF,0xF7,0xF6,0xF8,0x01,0xFF,0xFF,0xD7,0xC7,0xFE,0x2F,0xFF,
0xFF,0xB2,0xFF,0x84,0xFF,0xE7,0xF5,0xF8,0x03,0xFF,0xFF,0x9F,0xE7,0xFF,0x37,0xFF,
0xFF,0xA6,0xFF,0x9E,0xFF,0xEF,0xF5,0xF8,0x03,0xFF,0xFF,0x8F,0xE7,0xFF,0x9B,0xFF,
0xFF,0x84,0xFF,0xFF,0xFF,0xEF,0xF5,0xF0,0x03,0xFF,0xFF,0x1F,0xE7,0xFF,0xDB,0xFF,
0xFF,0xCD,0xFF,0xC1,0xFF,0xEF,0xF5,0xF0,0x03,0xFF,0xFF,0x5F,0xC7,0xFF,0x9B,0xFF,
0xFF,0xFF,0xFF,0x80,0xFF,0xEF,0xF5,0xF0,0x03,0xFF,0xFE,0x7D,0xD7,0xFE,0xCB,0xFF,
0xFC,0x00,0xFF,0xB6,0xFF,0xEF,0xED,0xF0,0x03,0xFF,0xFE,0xB8,0x87,0xF8,0x4D,0xFF,
0xFC,0x00,0xFF,0xB6,0xFF,0xEF,0xED,0xE0,0x03,0xFF,0xFE,0xFD,0xAF,0xE7,0xA5,0xFF,
0xFF,0xDD,0xFF,0x90,0xFF,0xEF,0xEF,0xE0,0x03,0xFF,0xFC,0x7F,0xAF,0xCF,0xA6,0xFF,
0xFF,0xBE,0xFF,0xD1,0xFF,0xEF,0xEB,0xE0,0x03,0xFF,0xFD,0xFF,0x5F,0x9F,0xD2,0xFF,
0xFF,0x80,0xFF,0xFF,0xFF,0xEF,0xEB,0xE0,0x01,0xFF,0xFA,0xFF,0x5E,0x7F,0xD2,0xFF,
0xFF,0xC1,0xFF,0xFF,0xFF,0xCF,0xEB,0xE0,0x01,0xFF,0xF9,0xFE,0xBC,0xFF,0xE9,0x7F,
0xFF,0xFF,0xFF,0xFF,0xFF,0xDF,0xDB,0xC0,0x00,0xFF,0xF1,0xFE,0xB3,0xFF,0xE5,0x3F,
0xFF,0xFF,0xFF,0xFF,0xFF,0xDF,0xD7,0xC0,0x00,0x7F,0xF7,0xDD,0x67,0xFF,0xF0,0xBF,
0xFF,0x80,0x1F,0xDC,0x7F,0xDF,0xD7,0xC0,0x00,0x3C,0x23,0x89,0x4F,0xFF,0xF2,0xCF,
0xFF,0x80,0x1F,0x98,0x3F,0xDF,0xD7,0xC0,0x00,0x00,0x67,0xDA,0xE7,0xFF,0xFB,0x73,
0xFF,0xFF,0xFF,0xB9,0xBF,0xDF,0xD7,0xE0,0x00,0x00,0x4F,0xFA,0xF7,0xFF,0xFD,0x3B,
0xFF,0xFF,0xFF,0xB1,0xBF,0xDF,0x97,0xE0,0x00,0x00,0x8F,0xF5,0xFB,0xFF,0xFD,0xBB,
0xFF,0xCD,0xFF,0xB3,0xBF,0xDF,0xB7,0xE0,0x00,0x01,0x8F,0xED,0xFD,0xFF,0xFE,0x87,
0xFF,0x86,0xFF,0x83,0x3F,0xBF,0xB7,0xF0,0x00,0x02,0x1F,0xEB,0xFC,0xFF,0xFE,0xEF,
0xFF,0xB2,0xFF,0xC7,0x7F,0xBF,0xA7,0xF0,0x00,0x07,0xCF,0xD3,0xFE,0xFF,0xFF,0x5F,
0xFF,0xBA,0xFF,0xFF,0xFF,0xBF,0xA7,0xF8,0x00,0x0F,0xF3,0xD7,0xFF,0x7F,0xFE,0x3F,
0xFF,0x80,0xFF,0x80,0x3F,0xBF,0xAF,0xFC,0x00,0x1F,0xFC,0xAF,0xFF,0x7F,0xF8,0x7F,
0xFF,0x81,0xFF,0x80,0x3F,0xBF,0x2F,0xFE,0x00,0x3F,0xFE,0x6F,0xFF,0xBF,0xE1,0xFF,
0xFF,0xFF,0xFF,0xFD,0xFF,0xBF,0x6F,0xFF,0x81,0xC7,0xFF,0x1F,0xFF,0xBF,0x83,0xFF,
0xFD,0xFC,0xFF,0xFE,0xFF,0x7F,0x6F,0xFF,0xFF,0xD9,0xFF,0x9F,0xFF,0x9E,0x0F,0xFF,
0xFD,0xE0,0xFF,0x80,0xFF,0x7F,0x6F,0xFF,0xFF,0xEE,0x7F,0xDF,0xFF,0xD0,0x3F,0xFF,
0xFC,0x03,0xFF,0x81,0xFF,0x7F,0x6F,0xFF,0xFF,0xF0,0xBF,0xEF,0xFF,0xC0,0xFF,0xFF,
0xFC,0x1F,0xFF,0xFF,0xFF,0x7F,0x6F,0xFF,0xFF,0xE0,0x0F,0xF3,0xFF,0xC3,0xFF,0xFF,
0xFF,0x03,0xFF,0xC1,0xFF,0x7F,0x6F,0xFF,0xFF,0xE1,0x83,0xF9,0xFE,0x1F,0xFF,0xFF,
0xFF,0xE0,0xFF,0x80,0xFF,0x7F,0x6F,0xFF,0xFF,0xD5,0xCD,0xFC,0x01,0xFF,0xFF,0xFF,
0xFF,0xFC,0xFF,0xBE,0xFE,0xFF,0x6F,0xFF,0xFF,0xC3,0xF1,0x7C,0x8F,0xFF,0xFF,0xFF,
0xFF,0xFF,0xFF,0xBE,0xFE,0xFF,0x5F,0xFF,0xFF,0x8B,0xF9,0x9D,0xDF,0xFF,0xFF,0xFF,
0xFF,0x9F,0xFF,0x80,0xFE,0xFF,0x5F,0xFF,0xFF,0xCF,0x04,0x0B,0xDF,0xFF,0xFF,0xFF,
0xFF,0x9F,0xFF,0xC1,0xFE,0xFF,0x5F,0xFF,0xFF,0x5E,0x65,0x03,0xDF,0xFF,0xFF,0xFF,
0xFF,0xFF,0xFF,0xFF,0xFE,0xFF,0x5F,0xFF,0xFF,0x47,0x70,0xFB,0xDF,0xFF,0xFF,0xFF,
0xFF,0xFF,0xFF,0xC1,0xFE,0xFF,0x5F,0xFF,0xFE,0xAF,0x07,0xF0,0x1F,0xFF,0xFF,0xFF,
0xFF,0xC1,0xFF,0x80,0xFE,0xFF,0x5F,0xFF,0xFF,0xBF,0x1F,0xC7,0xDF,0xFF,0xFF,0xFF,
0xFF,0x80,0xFF,0xB6,0xFE,0xFF,0x5F,0xFF,0xFF,0x1C,0xFF,0x1F,0x8F,0xFF,0xFF,0xFF,
0xFF,0xBE,0xFF,0xB6,0xFE,0xFF,0x5F,0xFF,0xFD,0x03,0xF8,0x00,0x97,0xFF,0xFF,0xFF,
0xFF,0xBE,0xFF,0x90,0xFE,0xFF,0x5F,0xFF,0xFC,0x1F,0xF3,0xCA,0x17,0xFF,0xFF,0xFF,
0xFF,0x9C,0xFF,0xD1,0xFE,0xFF,0x5F,0xFF,0xF0,0xFF,0xC9,0xCF,0x23,0xFF,0xFF,0xFF,
0xFF,0xDD,0xFF,0xFF,0xFE,0xFF,0x5F,0xFF,0xE7,0xFF,0x1D,0xEF,0x87,0xFF,0xFF,0xFF,
0xFF,0xFF,0xFF,0xD9,0xFE,0xFF,0x5F,0xFF,0xCF,0xFE,0x3C,0xE7,0xC7,0xFF,0xFF,0xFF,
0xFF,0xC1,0xFF,0x90,0xFE,0xFF,0x5F,0xFF,0xCF,0xF9,0x9D,0x77,0xEF,0xFF,0xFF,0xFF,
0xFF,0x80,0xFF,0xB2,0xFE,0xFF,0x6F,0xFF,0xE7,0x07,0xD9,0x27,0xEF,0xFF,0xFF,0xFF,
0xFF,0xBE,0xFF,0xA6,0xFE,0xFF,0x6F,0xFF,0xE0,0x37,0xE3,0x83,0xF7,0xFF,0xFF,0xFF,
0xFF,0xBE,0xFF,0x84,0xFE,0xFF,0x6F,0xFF,0xE1,0xFB,0xF3,0x9B,0xF7,0xFF,0xFF,0xFF,
0xFF,0x80,0xFF,0xCD,0xFE,0xFF,0x6F,0xFF,0xD1,0xFD,0xF8,0x71,0xF7,0xFF,0xFF,0xFF,
0xFF,0xC1,0xFF,0xFF,0xFE,0xFF,0x6F,0xFF,0xC3,0xF8,0xFC,0xCD,0xF7,0xFF,0xFF,0xFF,
0xFF,0xFF,0xFF,0xFF,0xFE,0xFF,0x6F,0xFF,0x83,0xF7,0x7E,0x9D,0xE7,0xFF,0xFF,0xFF,
0xFF,0xFF,0xFF,0xFF,0xFE,0xFF,0x6F,0xFC,0xCF,0xF7,0x9E,0x3C,0xEF,0xFF,0xFF,0xFF,
0xFF,0x80,0xFF,0xFF,0xFF,0x7F,0x66,0xB4,0x0E,0x37,0xCE,0x7C,0xCF,0xFF,0xFF,0xFF,
0xFF,0x80,0xFF,0xFF,0xFF,0x7F,0x66,0xB0,0xD1,0xC7,0xC6,0x3C,0xDF,0xFF,0xFF,0xFF,
0xFF,0xFD,0xFF,0xFF,0xFF,0x7F,0x60,0x0F,0xC5,0xE1,0xD1,0xC9,0xBF,0xFF,0xFF,0xFF,
0xFF,0xFE,0xFF,0xFF,0xFF,0x7F,0x77,0xFF,0xDD,0xF0,0x91,0xF3,0x7F,0xFF,0xFF,0xFF,
0xFF,0x80,0xFF,0xFF,0xFF,0x7F,0x77,0xFF,0xAD,0xF8,0x2B,0xFE,0xFF,0xFF,0xFF,0xFF,
0xFF,0x80,0xFF,0xFF,0xFF,0x7F,0x77,0xFF,0x8D,0xFC,0x6D,0xF9,0xFF,0xFF,0xFF,0xFF,
0xFF,0xFD,0xFF,0xFF,0xFF,0x7F,0x77,0xFF,0xBE,0xFE,0x5E,0xF3,0xFF,0xFF,0xFF,0xFF,
0xFF,0xFE,0xFF,0xFF,0xFF,0x7F,0x77,0xFF,0x1E,0x7E,0x5F,0x0F,0xFF,0xFF,0xFF,0xFF,
0xFF,0x80,0xFF,0xFF,0xFF,0x7F,0x77,0xFF,0x1D,0xBF,0x3F,0xFF,0xFF,0xFF,0xFF,0xFF,
0xFF,0x81,0xFF,0xFF,0xFF,0xBF,0x73,0xFC,0x13,0xDF,0xDF,0xFF,0xFF,0xFF,0xFF,0xFF,
0xFF,0xFF,0xFF,0xFF,0xFF,0xBF,0x79,0xA4,0x0F,0xE7,0xDF,0xFF,0xFF,0xFF,0xFF,0xFF,
0xFF,0xFF,0xFF,0xFF,0xFF,0xBF,0x38,0x00,0x7F,0xF3,0xDF,0xFF,0xFF,0xFF,0xFF,0xFF,
0xFF,0xFF,0xFF,0xFF,0xFF,0xBF,0x38,0x0F,0xFF,0xF9,0xDF,0xFF,0xFF,0xFF,0xFF,0xFF,
0xFF,0xFF,0xFF,0xFF,0xFF,0xBF,0xB9,0xFF,0xFF,0xF8,0xBF,0xFF,0xFF,0xFF,0xFF,0xFF,
0xFF,0xFF,0xFF,0xFF,0xFF,0xBF,0xBD,0xFF,0xFF,0xF8,0x3F,0xFF,0xFF,0xFF,0xFF,0xFF,
0xFF,0xFF,0xFF,0xFF,0xFF,0xDF,0xBD,0xFF,0xFF,0xF8,0xFF,0xFF,0xFF,0xFF,0xFF,0xFF,
0xFF,0xFF,0xFF,0xFF,0xFF,0xDF,0x9D,0xFF,0xFF,0xF8,0xFF,0xFF,0xFF,0xFF,0xFF,0xFF,
0xFF,0xFF,0xFF,0xFF,0xFF,0xDF,0x9D,0xFF,0xFF,0xF8,0xFF,0xFF,0xFF,0xFF,0xFF,0xFF,
0xFF,0xFF,0xFF,0xFF,0xFF,0xDF,0xDC,0xFF,0xFF,0xF9,0xFF,0xFF,0xFF,0xFF,0xFF,0xFF,
0xFF,0xFF,0xFF,0xFF,0xFF,0xEF,0xDE,0xFF,0xFF,0xF9,0xFF,0xFF,0xFF,0xFF,0xFF,0xFF,
0xFF,0xFF,0xFF,0xFF,0xFF,0xEF,0xDE,0xFF,0xFF,0xF9,0xFF,0xFF,0xFF,0xFF,0xFF,0xFF,
0xFF,0xFF,0xFF,0xFF,0xFF,0xEF,0xCE,0x7F,0xFF,0xFB,0xFF,0xFF,0xFF,0xFF,0xFF,0xFF,
0xFF,0xFF,0xFF,0xFF,0xFF,0xF7,0xEF,0x7F,0xFF,0xFB,0xFF,0xFF,0xFF,0xFF,0xFF,0xFF,
0xFF,0xFF,0xFF,0xFF,0xFF,0xF7,0xEF,0x7F,0xFF,0xFB,0xFF,0xFF,0xFF,0xFF,0xFF,0xFF,
0xFF,0xFF,0xFF,0xFF,0xFF,0xF7,0xEF,0x7F,0xFF,0xFF,0xFF,0xFF,0xFF,0xFF,0xFF,0xFF,
0xFF,0xFF,0xFF,0xFF,0xFF,0xFB,0xF7,0xFF,0xFF,0xF7,0xFF,0xFF,0xFF,0xFF,0xFF,0xFF,
0xFF,0xFF,0xFF,0xFF,0xFF,0xFB,0xF7,0xBF,0xFF,0xF7,0xFF,0xFF,0xFF,0xFF,0xFF,0xFF,
0xFF,0xFF,0xFF,0xFF,0xFF,0xFB,0xF7,0xBF,0xFF,0xFF,0xFF,0xFF,0xFF,0xFF,0xFF,0xFF,
0xFF,0xFF,0xFF,0xFF,0xFF,0xFD,0xFB,0xDF,0xFF,0xEF,0xFF,0xFF,0xFF,0xFF,0xFF,0xFF,
0xFF,0xFF,0xFF,0xFF,0xFF,0xFD,0xFB,0xDF,0xFF,0xEF,0xFF,0xFF,0xFF,0xFF,0xFF,0xFF,
0xFF,0xFF,0xFF,0xFF,0xFF,0xFE,0xFD,0xEF,0xFF,0xDF,0xFF,0xFF,0xFF,0xFF,0xFF,0xFF,
0xFF,0xFF,0xFF,0xFF,0xFF,0xFE,0xFD,0xEF,0xFF,0xDF,0xFF,0xFF,0xFF,0xFF,0xFF,0xFF,
0xFF,0xF0,0x00,0x00,0x1F,0xFF,0x7E,0xEF,0xFF,0xDF,0xFF,0xFF,0xFF,0xFF,0xFF,0xFF,
0xFF,0xF0,0x00,0x00,0x1F,0xFF,0x7E,0xF7,0xFF,0xBF,0xFF,0xFF,0xFF,0xFF,0xFF,0xFF,
0xFF,0xFF,0xFF,0xFF,0xFF,0xFF,0xBF,0x77,0xFF,0xBF,0xFF,0xFF,0xFF,0xFF,0xFF,0xFF,
0xFF,0xF0,0x00,0x00,0x1F,0xFF,0xBF,0x3B,0xFF,0x7F,0xFF,0xFF,0xFF,0xFF,0xFF,0xFF,
0xFF,0xFF,0xFF,0xFF,0xFF,0xFF,0xDF,0xB9,0xFE,0xFF,0xFF,0xFF,0xFF,0xFF,0xFF,0xFF,
0xFF,0xFF,0xFF,0xFF,0xFF,0xFF,0xEF,0xDD,0xFE,0xFF,0xFF,0xFF,0xFF,0xFF,0xFF,0xFF,
0xFF,0xFF,0xFF,0xFF,0xFF,0xFF,0xEF,0xEE,0xFD,0xFF,0xFF,0xFF,0xFF,0xFF,0xFF,0xFF,
0xFF,0xF0,0x00,0x00,0x1F,0xFF,0xF7,0xF7,0x7B,0xFF,0xFF,0xFF,0xFF,0xFF,0xFF,0xFF,
0xFF,0xFF,0xFF,0xFF,0xFF,0xFF,0xFB,0xF9,0x83,0xFF,0xFF,0xFF,0xFF,0xFF,0xFF,0xFF,
0xFF,0xF0,0x00,0x00,0x1F,0xFF,0xFD,0xFE,0x07,0xFF,0xFF,0xFF,0xFF,0xFF,0xFF,0xFF,
0xFF,0xFF,0xFF,0xFF,0xFF,0xFF,0xFE,0xFF,0x1F,0xFF,0xFF,0xFF,0xFF,0xFF,0xFF,0xFF,
0xFF,0xFF,0xFF,0xFF,0xFF,0xFF,0xFF,0x00,0x7F,0xFF,0xFF,0xFF,0xFF,0xFF,0xFF,0xFF,
0xFF,0xF0,0x00,0x00,0x1F,0xFF,0xFF,0x83,0xFF,0xFF,0xFF,0xFF,0xFF,0xFF,0xFF,0xFF,
0xFF,0xF0,0x00,0x00,0x1F,0xFF,0xFF,0xFF,0xFF,0xFF,0xFF,0xFF,0xFF,0xFF,0xFF,0xFF,
0xFF,0xFF,0xFF,0xFF,0xFF,0xFF,0xFF,0xFF,0xFF,0xFF,0xFF,0xFF,0xFF,0xFF,0xFF,0xFF,
0xFF,0xFF,0xFF,0xFF,0xFF,0xFF,0xFF,0xFF,0xFF,0xFF,0xFF,0xFF,0xFF,0xFF,0xFF,0xFF,
0xFF,0xF0,0x00,0x00,0x1F,0xFF,0xFF,0xFF,0xFF,0xFF,0xFF,0xFF,0xFF,0xFF,0xFF,0xFF,
0xFF,0xFF,0xFF,0xFF,0xFF,0xFF,0xFF,0xFF,0xFF,0xFF,0xFF,0xFF,0xFF,0xFF,0xFF,0xFF,
0xFF,0xF0,0x00,0x00,0x1F,0xFF,0xFF,0xFF,0xFF,0xFF,0xFF,0xFF,0xFF,0xFF,0xFF,0xFF,
0xFF,0xF0,0x00,0x00,0x1F,0xFF,0xFF,0xFF,0xFF,0xFF,0xFF,0xFF,0xFF,0xFF,0xFF,0xFF,
0xFF,0xFF,0xFF,0xFF,0xFF,0xFF,0xFF,0xFF,0xFF,0xFF,0xFF,0xFF,0xFF,0xFF,0xFF,0xFF,
0xFF,0xF0,0x00,0x00,0x1F,0xFF,0xFF,0xFF,0xFF,0xFF,0xFF,0xFF,0xFF,0xFF,0xFF,0xFF,
0xFF,0xF0,0x00,0x00,0x1F,0xFF,0xFF,0xFF,0xFF,0xFF,0xFF,0xFF,0xFF,0xFF,0xFF,0xFF,
0xFF,0xF0,0x00,0x00,0x1F,0xFC,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x0F,
0xFF,0xFF,0xFF,0xFF,0xFF,0xFC,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x0F,
0xFC,0xF0,0x00,0x00,0x1F,0xFC,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x0F,
0xFE,0x7F,0xFF,0xFF,0xFF,0xFC,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x0F,
0xC0,0x30,0x00,0x00,0x1F,0xFC,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x0F,
0xC0,0x30,0x00,0x00,0x1F,0xFC,0x00,0x00,0x00,0x00,0x60,0x00,0x00,0x00,0x00,0x0F,
0xFF,0xFF,0xFF,0xFF,0xFF,0xFC,0x00,0x00,0x00,0x01,0xE0,0x07,0xE0,0x00,0x00,0x0F,
0xFF,0xF0,0x00,0x00,0x1F,0xFC,0x00,0x00,0x00,0x03,0xF0,0x1F,0xF8,0x00,0x00,0x0F,
0xCF,0x7F,0xFF,0xFF,0xFF,0xFC,0x00,0x00,0x00,0x07,0xF0,0x3F,0xFC,0x00,0x00,0x0F,
0xC7,0x30,0x00,0x00,0x1F,0xFC,0x00,0x00,0x00,0x0F,0xF0,0x7F,0xFE,0x00,0x00,0x0F,
0xD3,0xB0,0x00,0x00,0x1F,0xFC,0x00,0x00,0x00,0x0F,0xE0,0x7F,0xFE,0x00,0x00,0x0F,
0xD8,0x3F,0xFF,0xFF,0xFF,0xFC,0x00,0x00,0x00,0x1F,0x80,0xFC,0x3F,0x00,0x00,0x0F,
0xDC,0x7F,0xFF,0xFF,0xFF,0xFC,0x00,0x00,0x00,0x1F,0x00,0xF8,0x1F,0x03,0xFE,0x0F,
0xFF,0xF0,0x00,0x00,0x1F,0xFC,0x00,0x00,0x01,0xFF,0xFF,0xFF,0xFF,0xC3,0xFE,0x0F,
0xEF,0x70,0x00,0x00,0x1F,0xFC,0x00,0x00,0x01,0xFF,0xFF,0xFF,0xFF,0xC0,0x42,0x0F,
0xCF,0x3F,0xFF,0xFF,0xFF,0xFC,0x00,0x00,0x01,0xFF,0xFF,0xFF,0xFF,0xC0,0x42,0x0F,
0xDD,0xB0,0x00,0x00,0x1F,0xFC,0x00,0x00,0x00,0x1F,0x01,0xF0,0x1F,0x00,0x42,0x0F,
0xC0,0x3F,0xFF,0xFF,0xFF,0xFC,0x00,0x00,0x00,0x1F,0x03,0xE0,0x3F,0x00,0x7E,0x0F,
0xE2,0x7F,0xFF,0xFF,0xFF,0xFC,0x00,0x00,0x00,0x0F,0x87,0xE0,0xFE,0x00,0x3C,0x0F,
0xFF,0xF0,0x00,0x00,0x1F,0xFC,0x00,0x00,0x00,0x0F,0xFF,0xE0,0xFE,0x00,0x00,0x0F,
0xF3,0xF0,0x00,0x00,0x1F,0xFC,0x00,0x00,0x00,0x07,0xFF,0xC0,0xFC,0x03,0xFE,0x0F,
0xF4,0xFF,0xFF,0xFF,0xFF,0xFC,0x00,0x00,0x00,0x03,0xFF,0x80,0x78,0x03,0xFE,0x0F,
0xF7,0x70,0x00,0x00,0x1F,0xFC,0x00,0x00,0x00,0x01,0xFF,0x00,0x60,0x00,0x22,0x0F,
0xC0,0x30,0x00,0x00,0x1F,0xFC,0x00,0x00,0x00,0x00,0x7E,0x00,0x00,0x00,0x22,0x0F,
0xC0,0x30,0x00,0x00,0x1F,0xFC,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x62,0x0F,
0xF7,0xF0,0x00,0x00,0x1F,0xFC,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x01,0xFE,0x0F,
0xE8,0xF0,0x00,0x00,0x1F,0xFC,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x03,0x9C,0x0F,
0xCC,0x3F,0xFF,0xFF,0xFF,0xFC,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x02,0x00,0x0F,
0xDD,0x30,0x00,0x00,0x1F,0xFC,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0xF8,0x0F,
0xC1,0xBF,0xFF,0xFF,0xFF,0xFC,0x00,0x00,0x00,0x00,0x00,0x0F,0x80,0x01,0xFC,0x0F,
0xE3,0xBF,0xFF,0xFF,0xFF,0xFC,0x00,0x00,0x00,0x00,0x00,0x07,0xC0,0x03,0x06,0x0F,
0xFF,0xF0,0x00,0x00,0x1F,0xFC,0x00,0x00,0x00,0x00,0x00,0x07,0xC0,0x02,0x02,0x0F,
0xE0,0x7F,0xFF,0xFF,0xFF,0xFC,0x00,0xE0,0x00,0x00,0x00,0x03,0xE0,0x02,0x02,0x0F,
0xC0,0x3F,0xFF,0xFF,0xFF,0xFC,0x00,0xF0,0x00,0x00,0x00,0x03,0xE0,0x03,0x06,0x0F,
0xDD,0xB0,0x00,0x00,0x1F,0xFC,0x00,0xDC,0x00,0x00,0x00,0x01,0xF0,0x01,0xFC,0x0F,
0xC1,0x30,0x00,0x00,0x1F,0xFC,0x00,0xCF,0x00,0x00,0x00,0x00,0xF8,0x00,0xF8,0x0F,
0xE3,0x70,0x00,0x00,0x1F,0xFC,0x00,0xC3,0xC0,0x1F,0xFF,0xFF,0xFC,0x00,0x00,0x0F,
0xFF,0xF0,0x00,0x00,0x1F,0xFC,0x07,0xFF,0xE0,0x1F,0xFF,0xFF,0xFF,0x03,0xFE,0x0F,
0xFF,0xBF,0xFF,0xFF,0xFF,0xFC,0x07,0xFF,0xE0,0x1F,0xFF,0xFF,0xFF,0x03,0xFE,0x0F,
0xC3,0xBF,0xFF,0xFF,0xFF,0xFC,0x07,0xFF,0xE0,0x1F,0xFF,0xFF,0xFF,0x00,0x1E,0x0F,
0xC0,0xB0,0x00,0x00,0x1F,0xFC,0x00,0xC0,0x00,0x1F,0xFF,0xFF,0xFF,0x01,0xF8,0x0F,
0xFC,0x30,0x00,0x00,0x1F,0xFC,0x00,0xC0,0x00,0x1F,0xFF,0xFF,0xFF,0x03,0x80,0x0F,
0xFF,0x3F,0xFF,0xFF,0xFF,0xFC,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x01,0xF8,0x0F,
0xFF,0xF0,0x00,0x00,0x1F,0xFC,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x1E,0x0F,
0xE2,0x70,0x00,0x00,0x1F,0xFC,0x00,0xFF,0x00,0x00,0x00,0x00,0x00,0x03,0xFE,0x0F,
0xC0,0x30,0x00,0x00,0x1F,0xFC,0x03,0xFF,0xC0,0x00,0x00,0x00,0x00,0x03,0xFE,0x0F,
0xDD,0xB0,0x00,0x00,0x1F,0xFC,0x03,0xFF,0xC0,0x00,0x00,0x00,0x00,0x00,0x00,0x0F,
0xC0,0x30,0x00,0x00,0x1F,0xFC,0x07,0x00,0xE0,0x00,0x00,0x00,0x00,0x00,0xF8,0x0F,
0xE2,0x7F,0xFF,0xFF,0xFF,0xFC,0x06,0x00,0x60,0x00,0x00,0x00,0x00,0x01,0xFC,0x0F,
0xFF,0xF0,0x00,0x00,0x1F,0xFC,0x07,0x00,0xE0,0x00,0x1F,0xFE,0x00,0x03,0x06,0x0F,
0xEC,0x70,0x00,0x00,0x1F,0xFC,0x03,0xFF,0xC0,0x00,0xFF,0xFF,0xE0,0x02,0x02,0x0F,
0xC8,0x3F,0xFF,0xFF,0xFF,0xFC,0x03,0xFF,0xC0,0x03,0xFF,0xFF,0xF8,0x02,0x02,0x0F,
0xDB,0xB0,0x00,0x00,0x1F,0xFC,0x00,0xFF,0x00,0x07,0xFF,0xFF,0xFC,0x03,0x06,0x0F,
0xC0,0x3F,0xFF,0xFF,0xFF,0xFC,0x00,0x00,0x00,0x0F,0xFF,0xFF,0xFE,0x01,0xFC,0x0F,
0xE0,0x70,0x00,0x00,0x1F,0xFC,0x00,0x00,0x00,0x0F,0xFF,0xFF,0xFE,0x00,0xF8,0x0F,
0xFF,0xF0,0x00,0x00,0x1F,0xFC,0x00,0x07,0xC0,0x1F,0xE0,0x00,0xFF,0x00,0x00,0x0F,
0xFF,0xFF,0xFF,0xFF,0xFF,0xFC,0x00,0x0F,0xE0,0x1F,0x80,0x00,0x3F,0x00,0x02,0x0F,
0xFF,0xF0,0x00,0x00,0x1F,0xFC,0x00,0x08,0x20,0x1F,0x00,0x00,0x1F,0x00,0x02,0x0F,
0xFF,0xF0,0x00,0x00,0x1F,0xFC,0x08,0x08,0x20,0x1F,0x00,0x00,0x1F,0x03,0xFE,0x0F,
0xFF,0xF0,0x00,0x00,0x1F,0xFC,0x0E,0x0F,0xE0,0x1F,0x00,0x00,0x1F,0x03,0xFE,0x0F,
0xFF,0xFF,0xFF,0xFF,0xFF,0xFC,0x07,0x87,0xC0,0x1F,0x80,0x00,0x3F,0x00,0x02,0x0F,
0xFF,0xFF,0xFF,0xFF,0xFF,0xFC,0x01,0xE0,0x00,0x1F,0xE0,0x00,0xFF,0x00,0x02,0x0F,
0xFF,0xFF,0xFF,0xFF,0xFF,0xFC,0x00,0x78,0x00,0x0F,0xFF,0xFF,0xFE,0x00,0x00,0x0F,
0xFF,0xF0,0x00,0x00,0x1F,0xFC,0x00,0x1F,0x00,0x0F,0xFF,0xFF,0xFE,0x03,0xFE,0x0F,
0xFF,0xF0,0x00,0x00,0x1F,0xFC,0x07,0xC7,0xC0,0x07,0xFF,0xFF,0xFC,0x03,0xFE,0x0F,
0xFF,0xFF,0xFF,0xFF,0xFF,0xFC,0x0F,0xE0,0xE0,0x03,0xFF,0xFF,0xF8,0x00,0x00,0x0F,
0xFF,0xF0,0x00,0x00,0x1F,0xFC,0x08,0x20,0x20,0x00,0xFF,0xFF,0xE0,0x00,0xF8,0x0F,
0xFF,0xF0,0x00,0x00,0x1F,0xFC,0x08,0x20,0x00,0x00,0x0F,0xFE,0x00,0x01,0xFC,0x0F,
0xFF,0xFF,0xFF,0xFF,0xFF,0xFC,0x0F,0xE0,0x00,0x00,0x00,0x00,0x00,0x03,0x06,0x0F,
0xFF,0xFF,0xFF,0xFF,0xFF,0xFC,0x07,0xC0,0x00,0x00,0x00,0x00,0x00,0x02,0x02,0x0F,
0xFF,0xFF,0xFF,0xFF,0xFF,0xFC,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x02,0x02,0x0F,
0xFF,0xF0,0x00,0x00,0x1F,0xFC,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x03,0x06,0x0F,
0xFF,0xF0,0x00,0x00,0x1F,0xFC,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x01,0xFC,0x0F,
0xFF,0xF0,0x00,0x00,0x1F,0xFC,0x00,0x00,0x00,0x1F,0x80,0x00,0x00,0x00,0xF8,0x0F,
0xFF,0xFF,0xFF,0xFF,0xFF,0xFC,0x00,0x00,0x00,0x1F,0x80,0x00,0x00,0x00,0x00,0x0F,
0xFF,0xF0,0x00,0x00,0x1F,0xFC,0x00,0x00,0x00,0x1F,0x80,0x00,0x00,0x03,0xFE,0x0F,
0xFF,0xF0,0x00,0x00,0x1F,0xFC,0x03,0xC0,0x00,0x1F,0x80,0x00,0x00,0x03,0xFE,0x0F,
0xFF,0xFF,0xFF,0xFF,0xFF,0xFC,0x07,0xE0,0x00,0x1F,0x80,0x00,0x00,0x00,0x1C,0x0F,
0xFF,0xFF,0xFF,0xFF,0xFF,0xFC,0x0E,0x70,0x00,0x1F,0x80,0x00,0x00,0x00,0x70,0x0F,
0xFF,0xF0,0x00,0x00,0x1F,0xFC,0x0C,0x30,0x00,0x00,0x00,0x00,0x00,0x01,0xC0,0x0F,
0xFF,0xF0,0x00,0x00,0x1F,0xFC,0x0E,0x70,0x00,0x00,0x00,0x00,0x00,0x03,0xFE,0x0F,
0xFF,0xF0,0x00,0x00,0x1F,0xFC,0x07,0xE0,0x00,0x00,0x00,0x00,0x00,0x03,0xFE,0x0F,
0xFF,0xFF,0xFF,0xFF,0xFF,0xFC,0x03,0xC0,0x00,0x00,0x7E,0x00,0x00,0x00,0x00,0x0F,
0xFF,0xF0,0x00,0x00,0x1F,0xFC,0x00,0x00,0x00,0x01,0xFF,0x03,0xF0,0x00,0x00,0x0F,
0xFF,0xF0,0x00,0x00,0x1F,0xFC,0x00,0x30,0x00,0x03,0xFF,0xC7,0xF8,0x00,0x00,0x0F,
0xFF,0xF0,0x00,0x00,0x1F,0xFC,0x0F,0xFC,0x00,0x07,0xFF,0xCF,0xFC,0x00,0x00,0x0F,
0xFF,0xFF,0xFF,0xFF,0xFF,0xFC,0x0F,0xFE,0x00,0x0F,0xFF,0xEF,0xFE,0x03,0xFE,0x0F,
0xFF,0xFF,0xFF,0xFF,0xFF,0xFC,0x00,0x36,0x00,0x0F,0xFF,0xFF,0xFE,0x03,0xFE,0x0F,
0xFF,0xFF,0xFF,0xFF,0xFF,0xFC,0x00,0x36,0x00,0x1F,0x81,0xFF,0xFF,0x00,0x42,0x0F,
0xFF,0xFF,0xFF,0xFF,0xFF,0xFC,0x00,0x36,0x00,0x1F,0x00,0xFC,0x1F,0x00,0x42,0x0F,
0xFF,0xFF,0xFF,0xFF,0xFF,0xFC,0x0F,0xFC,0x00,0x1E,0x00,0x78,0x0F,0x00,0x42,0x0F,
0xFF,0xFF,0xFF,0xFF,0xFF,0xFC,0x0F,0xFE,0x00,0x1E,0x00,0x78,0x0F,0x00,0x7E,0x0F,
0xFF,0xFF,0xFF,0xFF,0xFF,0xFC,0x00,0x36,0x00,0x1E,0x00,0x78,0x0F,0x00,0x3C,0x0F,
0xFF,0xFF,0xFF,0xFF,0xFF,0xFC,0x00,0x36,0x00,0x1F,0x00,0xFC,0x1F,0x00,0x00,0x0F,
0xE0,0x03,0x78,0xC0,0x07,0xFC,0x00,0x06,0x00,0x1F,0x81,0xFF,0xFF,0x03,0xFE,0x0F,
0xE0,0x03,0x70,0xC0,0x07,0xFC,0x00,0x00,0x00,0x0F,0xFF,0xFF,0xFE,0x03,0xFE,0x0F,
0xEF,0xF3,0x60,0xDF,0xE7,0xFC,0x00,0x00,0x00,0x0F,0xFF,0xEF,0xFE,0x00,0x22,0x0F,
0xEC,0x13,0x00,0xD8,0x27,0xFC,0x00,0x00,0x00,0x07,0xFF,0xCF,0xFC,0x00,0x22,0x0F,
0xEC,0x13,0x1C,0xD8,0x27,0xFC,0x00,0x00,0x00,0x03,0xFF,0xC7,0xF8,0x00,0x62,0x0F,
0xEC,0x13,0x20,0xD8,0x27,0xFC,0x00,0x00,0x00,0x01,0xFF,0x03,0xF0,0x01,0xFE,0x0F,
0xEC,0x13,0x60,0xD8,0x27,0xFC,0x00,0x00,0x00,0x00,0x7E,0x00,0x00,0x03,0x9C,0x0F,
0xEC,0x13,0xE7,0xD8,0x27,0xFC,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x02,0x00,0x0F,
0xEC,0x13,0xE7,0xD8,0x27,0xFC,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x03,0xFE,0x0F,
0xEF,0xF3,0xE7,0xDF,0xE7,0xFC,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x03,0xFE,0x0F,
0xE0,0x03,0x64,0xC0,0x07,0xFC,0x00,0x00,0x00,0x00,0x00,0x00,0x3F,0x00,0x00,0x0F,
0xE0,0x03,0x24,0xC0,0x07,0xFC,0x00,0x00,0x00,0x00,0x00,0x00,0x3F,0x00,0xF8,0x0F,
0xFF,0xFF,0x83,0xFF,0xFF,0xFC,0x00,0x00,0x00,0x00,0x00,0x00,0x3F,0x01,0xFC,0x0F,
0xE0,0x7C,0x24,0xD8,0x37,0xFC,0x00,0x00,0x00,0x1F,0x00,0x00,0x3F,0x03,0x06,0x0F,
0xE0,0x7C,0x64,0xD8,0x27,0xFC,0x00,0x00,0x00,0x1F,0xF0,0x00,0x3F,0x02,0x02,0x0F,
0xE0,0x83,0x87,0x39,0xC7,0xFC,0x00,0x00,0x00,0x1F,0xFE,0x00,0x3F,0x02,0x02,0x0F,
0xE1,0x83,0xC7,0x39,0x87,0xFC,0x00,0x00,0x00,0x1F,0xFF,0x80,0x3F,0x03,0x06,0x0F,
0xF3,0xF0,0xE4,0x19,0x3F,0xFC,0x00,0x00,0x00,0x1F,0xFF,0xE0,0x3F,0x01,0x04,0x0F,
0xE1,0x80,0x1C,0xF8,0x7F,0xFC,0x00,0x00,0x00,0x1F,0xFF,0xF8,0x3F,0x00,0x00,0x0F,
0xE0,0x80,0x1C,0xF8,0xFF,0xFC,0x00,0x00,0x00,0x00,0xFF,0xFC,0x3F,0x03,0xFE,0x0F,
0xE0,0x7C,0x9C,0xDF,0x07,0xFC,0x00,0x00,0x00,0x00,0x07,0xFF,0x3F,0x03,0xFE,0x0F,
0xE0,0x3D,0xDC,0xDF,0x07,0xFC,0x00,0x00,0x00,0x00,0x00,0xFF,0xBF,0x02,0x22,0x0F,
0xEC,0x0F,0xF8,0xFF,0xFF,0xFC,0x00,0x00,0x00,0x00,0x00,0x3F,0xFF,0x02,0x22,0x0F,
0xE2,0x3C,0x61,0xC0,0x07,0xFC,0x00,0x00,0x00,0x00,0x00,0x0F,0xFF,0x02,0x22,0x0F,
0xE2,0x7C,0x63,0xC0,0x07,0xFC,0x00,0x00,0x00,0x00,0x00,0x03,0xFF,0x02,0x22,0x0F,
0xF2,0x70,0x63,0xDF,0xE7,0xFC,0x00,0x00,0x00,0x00,0x00,0x00,0xFF,0x00,0x00,0x0F,
0xF3,0x60,0x00,0xD8,0x27,0xFC,0x00,0x00,0x00,0x00,0x00,0x00,0x7F,0x00,0x00,0x0F,
0xFF,0xE0,0x98,0xD8,0x27,0xFC,0x00,0x00,0x00,0x00,0x00,0x00,0x3F,0x00,0x00,0x0F,
0xFE,0x00,0x18,0xD8,0x27,0xFC,0x00,0x00,0x00,0x00,0x00,0x00,0x1F,0x00,0x00,0x0F,
0xFE,0x00,0x18,0xD8,0x27,0xFC,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x0F,
0xEC,0x8C,0xF8,0xD8,0x27,0xFC,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x0F,
0xEC,0x0D,0xC0,0xD8,0x27,0xFC,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x0F,
0xFE,0x1F,0x83,0xDF,0xE7,0xFC,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x0F,
0xE3,0xCF,0x80,0xC0,0x07,0xFC,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x0F,
0xE3,0xEF,0x80,0xC0,0x07,0xFC,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x0F,
0xFF,0xFF,0xFF,0xFF,0xFF,0xFF,0xFF,0xFF,0xFF,0xFF,0xFF,0xFF,0xFF,0xFF,0xFF,0xFF,
0xFF,0xFF,0xFF,0xFF,0xFF,0xFF,0xFF,0xFF,0xFF,0xFF,0xFF,0xFF,0xFF,0xFF,0xFF,0xFF,
0xFF,0xFF,0xFF,0xFF,0xFF,0xFF,0xFF,0xFF,0xFF,0xFF,0xFF,0xFF,0xFF,0xFF,0xFF,0xFF,
0x7F,0xFF,0xFF,0xFF,0xFF,0xFF,0xFF,0xFF,0xFF,0xFF,0xFF,0xFF,0xFF,0xFF,0xFF,0xFF,

};







//xxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxx
//xx   DESAY xxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxx
//xxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxx
void DELAY_100nS(int delaytime)   						// 30us 
{
	int i,j;
	
	for(i=0;i<delaytime;i++)
		for(j=0;j<1;j++);
}



void Delay1ms()		//@12.000MHz
{
	unsigned char i, j;

	i = 12;
	j = 169;
	do
	{
		while (--j);
	} while (--i);
}



void DELAY_mS(int delaytime)    						// 1ms
{
while(delaytime--)
Delay1ms();	
}

void DELAY_S(int delaytime)     						// 1s
{
	int i,j,k;
	
	for(i=0;i<delaytime;i++)
		for(j=0;j<980;j++)
			{Delay1ms();	
				for(;log==1;);}
}



//xxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxx
//xx    xxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxx
//xxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxx

// RESET xxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxx
void RESET()
{
	nRST_L;
	DELAY_mS(1);								
 	nRST_H;
  	DELAY_mS(1);
}

// READ BUSY xxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxx
void READBUSY()
{
  	while(1)
  	{
   		_nop_();
   	 	if(BUSY==0)
    		break;
  	}      
}

// WRITE COMMAND  xxxxxxxxxxxxxxxxxxx
void SPI4W_WRITECOM(unsigned char INIT_COM)
{
  	unsigned char TEMPCOM;
  	unsigned char scnt;

  	TEMPCOM=INIT_COM;
    	SCLK_H;  
 	nDC_L;
  	nCS_H;
  	nCS_L;
  	for(scnt=0;scnt<8;scnt++)
  	{
    	if(TEMPCOM&0x80)
     	 	SDA_H;
    	else
      		SDA_L;
    	SCLK_L;  
    	SCLK_H;  
    	TEMPCOM=TEMPCOM<<1;
  	}
  	nCS_H;  
}

// WRITE DATA  xxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxx
void SPI4W_WRITEDATA(unsigned char INIT_DATA)
{
  	unsigned char TEMPCOM;
  	unsigned char scnt;

  	TEMPCOM=INIT_DATA;
    	SCLK_H;  
 	nDC_H;
  	nCS_H;
  	nCS_L;
  	for(scnt=0;scnt<8;scnt++)
  	{
    	if(TEMPCOM&0x80)
     	 	SDA_H;
    	else
      		SDA_L;
    	SCLK_L;  
    	SCLK_H;  
    	TEMPCOM=TEMPCOM<<1;
  	}
  	nCS_H;  
}
// READ DATAxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxx
 unsigned char SPI4W_READDATA1()
 {
	 unsigned char scnt,temp;
         temp=0;
   	nCS_L;        
	 nDC_H;
	 for(scnt=0;scnt<8;scnt++)
	 {
		 	  
		 SCLK_L;  
		 if(SDA)
		 temp=(temp<<1)|0x01;
		 else
		 temp=temp<<1;		
		 SCLK_H;	  
		 SCLK_L;  
	 }
         tempvalue= temp;

  	nCS_H; 

	 return temp;
 }





// init    xxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxx

void INIT_SSD1680()
{ 

		SPI4W_WRITECOM(0x01);		// Set MUX as 296
		SPI4W_WRITEDATA(0x27);
		SPI4W_WRITEDATA(0x01);
		SPI4W_WRITEDATA(0x00);

		SPI4W_WRITECOM(0x11);		// data enter mode
		SPI4W_WRITEDATA(0x03);
		SPI4W_WRITECOM(0x44);		// set RAM x address start/end, in page 36
		SPI4W_WRITEDATA(0x00);		// RAM x address start at 00h;
		SPI4W_WRITEDATA(0x0f);		// RAM x address end at 0fh(15+1)*8->128 
		SPI4W_WRITECOM(0x45);		// set RAM y address start/end, in page 37		
		SPI4W_WRITEDATA(0x00);		// RAM y address end at 00h;
		SPI4W_WRITEDATA(0x00);
		SPI4W_WRITEDATA(0x27);		// RAM y address start at 127h;
		SPI4W_WRITEDATA(0x01);		
		
			                     
		SPI4W_WRITECOM(0x3C);		// board
		SPI4W_WRITEDATA(0x05);		//GS1-->GS1


		SPI4W_WRITECOM(0x21);		// Display Update Control
		SPI4W_WRITEDATA(0x40);	
		SPI4W_WRITEDATA(0x80);	        

        
 //       unsigned char temp1,temp2;	
		SPI4W_WRITECOM(0x18);
	   	SPI4W_WRITEDATA(0X80);

}



// sleep xxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxx
void enterdeepsleep()
{
 
  	SPI4W_WRITECOM(0x10);
  	SPI4W_WRITEDATA(0x01);																												
}


void set_xy_window(unsigned char xs,unsigned char xe,unsigned int ys,unsigned int ye)
{	 


	SPI4W_WRITECOM(0x44);		// set RAM x address start/end, in page 36
	SPI4W_WRITEDATA(xs);		// RAM x address start at 00h;
	SPI4W_WRITEDATA(xe);		// RAM x address end at 0fh(12+1)*8->104 
	SPI4W_WRITECOM(0x45);		// set RAM y address start/end, in page 37
	SPI4W_WRITEDATA(ys);		// RAM y address start at 0;
	SPI4W_WRITEDATA(ys>>8);		
    SPI4W_WRITEDATA(ye);		// RAM y address end at 
    SPI4W_WRITEDATA(ye>>8);		// RAM y address end at 
}


void set_xy_counter(unsigned char x,unsigned int y)
{ 
        SPI4W_WRITECOM(0x4E);		// set RAM x address count 
        SPI4W_WRITEDATA(x);
        SPI4W_WRITECOM(0x4F);		// set RAM y address count 	
        SPI4W_WRITEDATA(y);
        SPI4W_WRITEDATA(y>>8);
}

void Display_update(void)
{
     SPI4W_WRITECOM(0x22);
	SPI4W_WRITEDATA(0xF7);		//Load LUT from MCU(0x32), Display update
	SPI4W_WRITECOM(0x20);
//	DELAY_mS(1);
	READBUSY();
}



//xxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxx
//xx   ͼƬʾ    xxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxx
//xxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxx
void dis_img(unsigned char num)
{
	unsigned int row, col;
	unsigned int pcnt;
/***************************************************bw image****************************************************/
	  set_xy_window(0, 15, 0, 295);
   set_xy_counter(0,0);
	SPI4W_WRITECOM(0x24);
	
	pcnt = 0;										
	for(col=0; col<296; col++)							
	{
		for(row=0; row<16; row++)					
		{
				switch (num)
				{
				

								  case PIC_C:
					SPI4W_WRITEDATA(pic_black1[pcnt]);
                                        break;

                                  case PIC_GRAY:
                                    
                                      SPI4W_WRITEDATA(pic_black[pcnt]);
                                       break;

                                  case PIC_D:
                                       // SPI4W_WRITEDATA(gImage_ceshi_bw[pcnt]);
                                        break;
                                  case PIC_VLINE:
                                        if(col>148)
					  SPI4W_WRITEDATA(0xff);
                                        else
                                          SPI4W_WRITEDATA(0x00);
					break;
                                        
                                       case PIC_HLINE:
                                          if(row>8)
					  SPI4W_WRITEDATA(0xff);
                                         else if(row==8)
					  SPI4W_WRITEDATA(0x0f);
                                         else
                                          SPI4W_WRITEDATA(0x00);
                                       /* if((row%2)<1)
					  SPI4W_WRITEDATA(0xff);
                   
                                          else
                                          SPI4W_WRITEDATA(0x00);*/
					break;	
					
				case PIC_WHITE:
					SPI4W_WRITEDATA(0xff);
					break;	

				case PIC_BLACK:
					SPI4W_WRITEDATA(0x00);
					break;	
			   	default:
					break;
				}
			pcnt++;
		}
	}
  /* if(num==PIC_BLACK||num==PIC_WHITE||num==PIC_HLINE||num==PIC_VLINE)
        {
      //  SPI4W_WRITECOM(0x21);
     //   SPI4W_WRITEDATA(0x04);  
        SPI4W_WRITECOM(0x22);
        SPI4W_WRITEDATA(0xc7);
	SPI4W_WRITECOM(0x20);
	DELAY_mS(1);
	READBUSY(); 
        return;
        }
     */
           
/***************************************************bw image****************************************************/
	  set_xy_window(0, 15, 0, 295);
	  set_xy_counter(0,0);
	SPI4W_WRITECOM(0x26);
	
	pcnt = 0;										
	for(col=0; col<296; col++)							
	{
		for(row=0; row<16; row++)					
		{
				switch (num)
				{

					
 							         case PIC_GRAY:
					SPI4W_WRITEDATA(pic_red[pcnt]);
                                        break;

       
                                  case PIC_D:
                                       // SPI4W_WRITEDATA(gImage_ceshi_red[pcnt]);
                                        break;     
                                  case PIC_VLINE:
                                        SPI4W_WRITEDATA(0x00);
                                        break;
                                       case PIC_HLINE:
                                     
					  SPI4W_WRITEDATA(0x00);
                                        
					break;	
					
				case PIC_WHITE:
					SPI4W_WRITEDATA(0x00);
					break;	

				case PIC_BLACK:
					SPI4W_WRITEDATA(0x00);
					break;	
			   	default:
					break;
				}
			pcnt++;
		}
	}
        		
      
 Display_update();
	

}



 void dis_block(unsigned char xs,unsigned char xe,unsigned int ys,unsigned int ye, unsigned char dat, unsigned char mode)

  {	 
	unsigned int row, col;
	unsigned int pcnt;
/***************************************************bw image****************************************************/


  set_xy_window(xs, xe, ys, ye);

   set_xy_counter(xs,ye-ys);
	SPI4W_WRITECOM(0x24);
	
	pcnt = 0;										
	for(col=ys; col<=ye; col++)							
	{
		for(row=xs; row<=xe; row++)					
		{
			
					SPI4W_WRITEDATA(dat);

		}
			pcnt++;
		
	}



    set_xy_window(xs, xe, ys, ye);
    set_xy_counter(xs,ye-ys);
	SPI4W_WRITECOM(0x26);
	
	pcnt = 0;										
	for(col=ys; col<=ye; col++)						
	{
		for(row=xs; row<=xe; row++)					
		{
					 if(mode==0x26)
					SPI4W_WRITEDATA(dat);
					else
					SPI4W_WRITEDATA(0x00);
		}
			pcnt++;
		
	}


   Display_update();

  }



//xxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxx
//xx   main xxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxx
//xxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxx
void main( void )
{
	//int i;
        
		
	RESET();											
    	SPI4W_WRITECOM(0x12);			//SWRESET
	READBUSY();
	
	
	INIT_SSD1680();	

	while(1)
	{

  		dis_img(PIC_C);
		DELAY_S(3);

       SPI4W_WRITECOM(0x21);
        SPI4W_WRITEDATA(0x08); 

     	Display_update();
		DELAY_S(3);

            SPI4W_WRITECOM(0x21);
        SPI4W_WRITEDATA(0x00); 

    //    	 dis_img(PIC_WHITE);
	// 	DELAY_S(2);

	/*
	
   	dis_img(PIC_BLACK);
         DELAY_S(2);

		 dis_block(4,9,0+5,40+5, 0xff, 0x24);
          DELAY_S(2);

		 dis_block(4,9,0+5,40+5, 0xff, 0x26);
          DELAY_S(2);

      	 dis_img(PIC_WHITE);
	 	DELAY_S(2);


		dis_block(0,4,0,40, 0x00, 0x24);
          DELAY_S(2);

		 dis_block(0,4,0,40, 0xff, 0x26);
          DELAY_S(2);


	    */
 		dis_img(PIC_WHITE);
		DELAY_S(2);

		dis_img(PIC_BLACK);
		DELAY_S(2);




		 dis_block(2,6,20,60, 0xff, 0x24);
          DELAY_S(2);
  	  


//      dis_img(PIC_VLINE);
//		DELAY_S(2);
//		dis_img(PIC_HLINE);
//		DELAY_S(2);

       
	         
//		dis_img(PIC_A);
//		DELAY_S(2);
               
 //       dis_img(PIC_B);
//		DELAY_S(2);
           
                        
	}

}
